#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "ib_ucm.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x3356b90b, __VMLINUX_SYMBOL_STR(cpu_tss) },
	{ 0x6663bedc, __VMLINUX_SYMBOL_STR(cdev_del) },
	{ 0x3331907, __VMLINUX_SYMBOL_STR(class_remove_file_ns) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x9c430a5b, __VMLINUX_SYMBOL_STR(ib_send_cm_rej) },
	{ 0x5e3b4ee2, __VMLINUX_SYMBOL_STR(cdev_init) },
	{ 0xb43a926b, __VMLINUX_SYMBOL_STR(backport_dependency_symbol) },
	{ 0xd8e484f0, __VMLINUX_SYMBOL_STR(register_chrdev_region) },
	{ 0x263ed23b, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r12) },
	{ 0x1702e5e7, __VMLINUX_SYMBOL_STR(pid_vnr) },
	{ 0xf363fcae, __VMLINUX_SYMBOL_STR(ib_send_cm_req) },
	{ 0xc2d9e161, __VMLINUX_SYMBOL_STR(ib_send_cm_dreq) },
	{ 0xad764016, __VMLINUX_SYMBOL_STR(ib_send_cm_rtu) },
	{ 0x63749f62, __VMLINUX_SYMBOL_STR(no_llseek) },
	{ 0xaad5e24c, __VMLINUX_SYMBOL_STR(kobject_set_name) },
	{ 0x448eac3e, __VMLINUX_SYMBOL_STR(kmemdup) },
	{ 0xc5a0d37a, __VMLINUX_SYMBOL_STR(ib_copy_path_rec_to_user) },
	{ 0xa9d94e14, __VMLINUX_SYMBOL_STR(ib_copy_path_rec_from_user) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x7485e15e, __VMLINUX_SYMBOL_STR(unregister_chrdev_region) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x8aae5d17, __VMLINUX_SYMBOL_STR(nonseekable_open) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0xf2df1a9c, __VMLINUX_SYMBOL_STR(ib_send_cm_mra) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0xc671e369, __VMLINUX_SYMBOL_STR(_copy_to_user) },
	{ 0x6d0aba34, __VMLINUX_SYMBOL_STR(wait_for_completion) },
	{ 0x8466a76f, __VMLINUX_SYMBOL_STR(ib_send_cm_drep) },
	{ 0x33d583c, __VMLINUX_SYMBOL_STR(ib_cm_init_qp_attr) },
	{ 0x614dabe, __VMLINUX_SYMBOL_STR(idr_destroy) },
	{ 0xd6e349ad, __VMLINUX_SYMBOL_STR(device_del) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0xd54a9b2c, __VMLINUX_SYMBOL_STR(ib_copy_qp_attr_to_user) },
	{ 0xc4943582, __VMLINUX_SYMBOL_STR(ib_send_cm_rep) },
	{ 0x593c1bac, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rbx) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0xb74787a0, __VMLINUX_SYMBOL_STR(idr_alloc) },
	{ 0x45a7bd89, __VMLINUX_SYMBOL_STR(device_add) },
	{ 0x18286bc0, __VMLINUX_SYMBOL_STR(ib_set_client_data) },
	{ 0x9a08ab80, __VMLINUX_SYMBOL_STR(ib_create_cm_id) },
	{ 0xf11543ff, __VMLINUX_SYMBOL_STR(find_first_zero_bit) },
	{ 0xfb73fb98, __VMLINUX_SYMBOL_STR(idr_remove) },
	{ 0x98a7eed8, __VMLINUX_SYMBOL_STR(device_create_file) },
	{ 0x1241be00, __VMLINUX_SYMBOL_STR(cdev_add) },
	{ 0x5cfcfd7b, __VMLINUX_SYMBOL_STR(ib_register_client) },
	{ 0xb601be4c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rdx) },
	{ 0x2f2f7bc0, __VMLINUX_SYMBOL_STR(idr_find_slowpath) },
	{ 0xd737a5cd, __VMLINUX_SYMBOL_STR(ib_cm_notify) },
	{ 0x268581c, __VMLINUX_SYMBOL_STR(put_device) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0x2ea2c95c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rax) },
	{ 0xb3f16f47, __VMLINUX_SYMBOL_STR(class_create_file_ns) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xb664c800, __VMLINUX_SYMBOL_STR(ib_destroy_cm_id) },
	{ 0x1a6e3a5c, __VMLINUX_SYMBOL_STR(ib_send_cm_apr) },
	{ 0xcf21d241, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0xbb236d52, __VMLINUX_SYMBOL_STR(ib_cm_listen) },
	{ 0x34f22f94, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x68ef8844, __VMLINUX_SYMBOL_STR(device_initialize) },
	{ 0xfa66f77c, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0x9291cd3b, __VMLINUX_SYMBOL_STR(memdup_user) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0x988d5fb2, __VMLINUX_SYMBOL_STR(ib_send_cm_lap) },
	{ 0xe696c4f9, __VMLINUX_SYMBOL_STR(cm_class) },
	{ 0xce94a5d9, __VMLINUX_SYMBOL_STR(dev_set_name) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0x6a4c96d4, __VMLINUX_SYMBOL_STR(ib_send_cm_sidr_rep) },
	{ 0xf547c843, __VMLINUX_SYMBOL_STR(show_class_attr_string) },
	{ 0x3d743e10, __VMLINUX_SYMBOL_STR(ib_unregister_client) },
	{ 0x29537c9e, __VMLINUX_SYMBOL_STR(alloc_chrdev_region) },
	{ 0xd7619c8a, __VMLINUX_SYMBOL_STR(ib_send_cm_sidr_req) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=ib_cm,mlx_compat,ib_uverbs,ib_core";


MODULE_INFO(srcversion, "F806ECEC8F2787B6C14111E");
