#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "ib_uverbs.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x1a28d412, __VMLINUX_SYMBOL_STR(kobject_put) },
	{ 0x3356b90b, __VMLINUX_SYMBOL_STR(cpu_tss) },
	{ 0x6663bedc, __VMLINUX_SYMBOL_STR(cdev_del) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x830349c2, __VMLINUX_SYMBOL_STR(kobject_get) },
	{ 0x5c51c28, __VMLINUX_SYMBOL_STR(ib_exp_alloc_mr) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x5e3b4ee2, __VMLINUX_SYMBOL_STR(cdev_init) },
	{ 0x59f72c71, __VMLINUX_SYMBOL_STR(put_pid) },
	{ 0x1ed8b599, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r8) },
	{ 0x2d878b69, __VMLINUX_SYMBOL_STR(up_read) },
	{ 0xbd5bf7c4, __VMLINUX_SYMBOL_STR(ib_attach_mcast) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0xb43a926b, __VMLINUX_SYMBOL_STR(backport_dependency_symbol) },
	{ 0x784213a6, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0xa874bb9e, __VMLINUX_SYMBOL_STR(ib_destroy_wq) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0xdafdc306, __VMLINUX_SYMBOL_STR(get_task_pid) },
	{ 0x525b8929, __VMLINUX_SYMBOL_STR(ib_dealloc_pd) },
	{ 0xd8e484f0, __VMLINUX_SYMBOL_STR(register_chrdev_region) },
	{ 0xc1d8cfaf, __VMLINUX_SYMBOL_STR(__fdget) },
	{ 0x31c78843, __VMLINUX_SYMBOL_STR(rdma_port_get_link_layer) },
	{ 0x9469482, __VMLINUX_SYMBOL_STR(kfree_call_rcu) },
	{ 0xbfa90514, __VMLINUX_SYMBOL_STR(ib_open_qp) },
	{ 0x1702e5e7, __VMLINUX_SYMBOL_STR(pid_vnr) },
	{ 0x90dfcba, __VMLINUX_SYMBOL_STR(ib_exp_create_dct) },
	{ 0x63749f62, __VMLINUX_SYMBOL_STR(no_llseek) },
	{ 0x9787d088, __VMLINUX_SYMBOL_STR(rdma_set_cq_moderation) },
	{ 0x9188b30a, __VMLINUX_SYMBOL_STR(ib_umem_odp_add_statistic_nodes) },
	{ 0x12faa80f, __VMLINUX_SYMBOL_STR(__srcu_read_unlock) },
	{ 0x22f7efe, __VMLINUX_SYMBOL_STR(ib_destroy_qp) },
	{ 0x44b1d426, __VMLINUX_SYMBOL_STR(__dynamic_pr_debug) },
	{ 0x155d9532, __VMLINUX_SYMBOL_STR(device_destroy) },
	{ 0xaad5e24c, __VMLINUX_SYMBOL_STR(kobject_set_name) },
	{ 0x206fe01e, __VMLINUX_SYMBOL_STR(ib_dealloc_xrcd) },
	{ 0xc29957c3, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rcx) },
	{ 0xa843805a, __VMLINUX_SYMBOL_STR(get_unused_fd_flags) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x7485e15e, __VMLINUX_SYMBOL_STR(unregister_chrdev_region) },
	{ 0xf59fdd2f, __VMLINUX_SYMBOL_STR(igrab) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x8aae5d17, __VMLINUX_SYMBOL_STR(nonseekable_open) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0xfe9209d4, __VMLINUX_SYMBOL_STR(ib_exp_modify_cq) },
	{ 0x733c3b54, __VMLINUX_SYMBOL_STR(kasprintf) },
	{ 0x5cba0f11, __VMLINUX_SYMBOL_STR(rdma_create_user_ah) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x1c301720, __VMLINUX_SYMBOL_STR(ib_create_qp) },
	{ 0xc671e369, __VMLINUX_SYMBOL_STR(_copy_to_user) },
	{ 0x6d0aba34, __VMLINUX_SYMBOL_STR(wait_for_completion) },
	{ 0xb8e7ce2c, __VMLINUX_SYMBOL_STR(__put_user_8) },
	{ 0x9ca6fbea, __VMLINUX_SYMBOL_STR(rdma_destroy_ah) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x614dabe, __VMLINUX_SYMBOL_STR(idr_destroy) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0xdbe4cfeb, __VMLINUX_SYMBOL_STR(cleanup_srcu_struct) },
	{ 0x116215ef, __VMLINUX_SYMBOL_STR(ib_destroy_srq) },
	{ 0xd61eeee, __VMLINUX_SYMBOL_STR(__bitmap_subset) },
	{ 0x9edd8ede, __VMLINUX_SYMBOL_STR(ib_exp_query_dct) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0x4d9b652b, __VMLINUX_SYMBOL_STR(rb_erase) },
	{ 0x26ab8b94, __VMLINUX_SYMBOL_STR(fasync_helper) },
	{ 0xafe3ea6c, __VMLINUX_SYMBOL_STR(ib_query_port) },
	{ 0x593c1bac, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rbx) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x84ffea8b, __VMLINUX_SYMBOL_STR(idr_preload) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0xd33386b0, __VMLINUX_SYMBOL_STR(device_create) },
	{ 0x67916a34, __VMLINUX_SYMBOL_STR(__srcu_read_lock) },
	{ 0xb74787a0, __VMLINUX_SYMBOL_STR(idr_alloc) },
	{ 0x8df92f66, __VMLINUX_SYMBOL_STR(memchr_inv) },
	{ 0x87025256, __VMLINUX_SYMBOL_STR(up_write) },
	{ 0x87c18a1f, __VMLINUX_SYMBOL_STR(down_write) },
	{ 0x18286bc0, __VMLINUX_SYMBOL_STR(ib_set_client_data) },
	{ 0x183af23f, __VMLINUX_SYMBOL_STR(fput) },
	{ 0xd80838d9, __VMLINUX_SYMBOL_STR(init_srcu_struct) },
	{ 0xa9b5b440, __VMLINUX_SYMBOL_STR(ib_exp_free_dm) },
	{ 0xd26f34, __VMLINUX_SYMBOL_STR(ib_destroy_cq) },
	{ 0xf11543ff, __VMLINUX_SYMBOL_STR(find_first_zero_bit) },
	{ 0xfb73fb98, __VMLINUX_SYMBOL_STR(idr_remove) },
	{ 0x98a7eed8, __VMLINUX_SYMBOL_STR(device_create_file) },
	{ 0x1241be00, __VMLINUX_SYMBOL_STR(cdev_add) },
	{ 0x1e2152df, __VMLINUX_SYMBOL_STR(ib_exp_query_device) },
	{ 0x5cfcfd7b, __VMLINUX_SYMBOL_STR(ib_register_client) },
	{ 0x83390a12, __VMLINUX_SYMBOL_STR(module_put) },
	{ 0xc6cbbc89, __VMLINUX_SYMBOL_STR(capable) },
	{ 0x5fe20bd7, __VMLINUX_SYMBOL_STR(ib_unregister_event_handler) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0xb601be4c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rdx) },
	{ 0x2f2f7bc0, __VMLINUX_SYMBOL_STR(idr_find_slowpath) },
	{ 0x6aca3567, __VMLINUX_SYMBOL_STR(ib_detach_mcast) },
	{ 0xe5f8c60f, __VMLINUX_SYMBOL_STR(ib_register_event_handler) },
	{ 0xe27c83e9, __VMLINUX_SYMBOL_STR(ib_modify_qp_with_udata) },
	{ 0x331b0c7a, __VMLINUX_SYMBOL_STR(ib_exp_query_mkey) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0xfa2de7f0, __VMLINUX_SYMBOL_STR(rdma_restrack_add) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0x43261dca, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0x1ab446c1, __VMLINUX_SYMBOL_STR(ib_exp_destroy_dct) },
	{ 0xe535a61b, __VMLINUX_SYMBOL_STR(ib_create_flow) },
	{ 0x2ea2c95c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rax) },
	{ 0x3f4547a7, __VMLINUX_SYMBOL_STR(put_unused_fd) },
	{ 0xb3f16f47, __VMLINUX_SYMBOL_STR(class_create_file_ns) },
	{ 0xc6020a1e, __VMLINUX_SYMBOL_STR(down_read_trylock) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xa5526619, __VMLINUX_SYMBOL_STR(rb_insert_color) },
	{ 0xca9efa44, __VMLINUX_SYMBOL_STR(ib_query_qp) },
	{ 0x806ece5a, __VMLINUX_SYMBOL_STR(ib_dereg_mr) },
	{ 0x7687432, __VMLINUX_SYMBOL_STR(synchronize_srcu) },
	{ 0xcf21d241, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0x34f22f94, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0x2669d586, __VMLINUX_SYMBOL_STR(ib_destroy_rwq_ind_table) },
	{ 0x1e047854, __VMLINUX_SYMBOL_STR(warn_slowpath_fmt) },
	{ 0xe7d8170e, __VMLINUX_SYMBOL_STR(iput) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0xc5ee4c4d, __VMLINUX_SYMBOL_STR(fd_install) },
	{ 0xa07ddcd6, __VMLINUX_SYMBOL_STR(kobject_init) },
	{ 0xd3719d59, __VMLINUX_SYMBOL_STR(paravirt_ticketlocks_enabled) },
	{ 0x12b8cfc9, __VMLINUX_SYMBOL_STR(ib_query_srq) },
	{ 0x424a48a1, __VMLINUX_SYMBOL_STR(fget) },
	{ 0x97661b, __VMLINUX_SYMBOL_STR(idr_replace) },
	{ 0x8af4c674, __VMLINUX_SYMBOL_STR(class_destroy) },
	{ 0x2b41fc9b, __VMLINUX_SYMBOL_STR(kill_fasync) },
	{ 0xa4c06a5a, __VMLINUX_SYMBOL_STR(ib_destroy_counter_set) },
	{ 0x5a4896a8, __VMLINUX_SYMBOL_STR(__put_user_2) },
	{ 0x13fdf476, __VMLINUX_SYMBOL_STR(ib_destroy_flow) },
	{ 0xfa66f77c, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0x9291cd3b, __VMLINUX_SYMBOL_STR(memdup_user) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0xb0e602eb, __VMLINUX_SYMBOL_STR(memmove) },
	{ 0x1cbea8fd, __VMLINUX_SYMBOL_STR(idr_init) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0x68864a22, __VMLINUX_SYMBOL_STR(__class_create) },
	{ 0xf547c843, __VMLINUX_SYMBOL_STR(show_class_attr_string) },
	{ 0x3d743e10, __VMLINUX_SYMBOL_STR(ib_unregister_client) },
	{ 0x942cd0de, __VMLINUX_SYMBOL_STR(__init_rwsem) },
	{ 0xd7670b9a, __VMLINUX_SYMBOL_STR(anon_inode_getfile) },
	{ 0x29537c9e, __VMLINUX_SYMBOL_STR(alloc_chrdev_region) },
	{ 0xccad536e, __VMLINUX_SYMBOL_STR(try_module_get) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=ib_core,mlx_compat";


MODULE_INFO(srcversion, "7E93E6EA3DB98A3A9B2D43B");
