#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "mlx4_ib.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xa971b803, __VMLINUX_SYMBOL_STR(mlx4_get_parav_qkey) },
	{ 0xc7e2094a, __VMLINUX_SYMBOL_STR(mlx4_get_val) },
	{ 0x1a28d412, __VMLINUX_SYMBOL_STR(kobject_put) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0x1c087868, __VMLINUX_SYMBOL_STR(mlx4_mr_enable) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x830349c2, __VMLINUX_SYMBOL_STR(kobject_get) },
	{ 0x65e75cb6, __VMLINUX_SYMBOL_STR(__list_del_entry) },
	{ 0x9ccd5f52, __VMLINUX_SYMBOL_STR(mlx4_get_default_counter_index) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0xe4689576, __VMLINUX_SYMBOL_STR(ktime_get_with_offset) },
	{ 0x9b388444, __VMLINUX_SYMBOL_STR(get_zeroed_page) },
	{ 0xe91d8e2b, __VMLINUX_SYMBOL_STR(mlx4_counter_alloc) },
	{ 0x1ed8b599, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r8) },
	{ 0xcd40a979, __VMLINUX_SYMBOL_STR(mlx4_pd_free) },
	{ 0xa6a868ea, __VMLINUX_SYMBOL_STR(mlx4_srq_alloc) },
	{ 0x1a0af25e, __VMLINUX_SYMBOL_STR(mlx4_qp_reserve_range) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0xfe76726, __VMLINUX_SYMBOL_STR(generic_file_llseek) },
	{ 0xb43a926b, __VMLINUX_SYMBOL_STR(backport_dependency_symbol) },
	{ 0x4697136c, __VMLINUX_SYMBOL_STR(ib_cmem_release_contiguous_pages) },
	{ 0x5c23d257, __VMLINUX_SYMBOL_STR(debugfs_create_dir) },
	{ 0x784213a6, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0xebd03a96, __VMLINUX_SYMBOL_STR(mlx4_srq_free) },
	{ 0x460d8d15, __VMLINUX_SYMBOL_STR(mlx4_qp_alloc) },
	{ 0x7aa1756e, __VMLINUX_SYMBOL_STR(kvfree) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0x98f38dc6, __VMLINUX_SYMBOL_STR(mlx4_INIT_PORT) },
	{ 0x525b8929, __VMLINUX_SYMBOL_STR(ib_dealloc_pd) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x875505ca, __VMLINUX_SYMBOL_STR(mlx4_sync_pkey_table) },
	{ 0x31c78843, __VMLINUX_SYMBOL_STR(rdma_port_get_link_layer) },
	{ 0xf5050235, __VMLINUX_SYMBOL_STR(mlx4_hw_rule_sz) },
	{ 0xf1399095, __VMLINUX_SYMBOL_STR(mlx4_srq_lookup) },
	{ 0x7d58441f, __VMLINUX_SYMBOL_STR(mlx4_fmr_free) },
	{ 0xc83a418e, __VMLINUX_SYMBOL_STR(vlan_dev_vlan_id) },
	{ 0xc0b07dc0, __VMLINUX_SYMBOL_STR(ib_register_mad_agent) },
	{ 0xfebaa990, __VMLINUX_SYMBOL_STR(mlx4_register_interface) },
	{ 0x4c4f1833, __VMLINUX_SYMBOL_STR(boot_cpu_data) },
	{ 0xb2308f98, __VMLINUX_SYMBOL_STR(mlx4_handle_eth_header_mcast_prio) },
	{ 0xc7a4fbed, __VMLINUX_SYMBOL_STR(rtnl_lock) },
	{ 0x6d787fcf, __VMLINUX_SYMBOL_STR(mlx4_vf_set_enable_smi_admin) },
	{ 0x8b900f3b, __VMLINUX_SYMBOL_STR(_raw_read_lock) },
	{ 0x1637ff0f, __VMLINUX_SYMBOL_STR(_raw_spin_lock_bh) },
	{ 0x22f7efe, __VMLINUX_SYMBOL_STR(ib_destroy_qp) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0xa1f9a134, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rsi) },
	{ 0xd2da1048, __VMLINUX_SYMBOL_STR(register_netdevice_notifier) },
	{ 0x342abd9, __VMLINUX_SYMBOL_STR(mlx4_phys_to_slave_port) },
	{ 0x44b1d426, __VMLINUX_SYMBOL_STR(__dynamic_pr_debug) },
	{ 0x61eb6acc, __VMLINUX_SYMBOL_STR(dev_base_lock) },
	{ 0x4f02296a, __VMLINUX_SYMBOL_STR(mlx4_mr_rereg_mem_cleanup) },
	{ 0xddc77c46, __VMLINUX_SYMBOL_STR(netdev_master_upper_dev_get_rcu) },
	{ 0xc29957c3, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rcx) },
	{ 0x3fec048f, __VMLINUX_SYMBOL_STR(sg_next) },
	{ 0x354de1e2, __VMLINUX_SYMBOL_STR(mlx4_choose_vector) },
	{ 0x51853e31, __VMLINUX_SYMBOL_STR(mlx4_vf_get_enable_smi_admin) },
	{ 0x14a64186, __VMLINUX_SYMBOL_STR(mlx4_mr_hw_put_mpt) },
	{ 0x329c62d6, __VMLINUX_SYMBOL_STR(mlx4_db_alloc) },
	{ 0x60ee9172, __VMLINUX_SYMBOL_STR(param_ops_bool) },
	{ 0x63a7c28c, __VMLINUX_SYMBOL_STR(bitmap_find_free_region) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x797c8fa9, __VMLINUX_SYMBOL_STR(cancel_delayed_work_sync) },
	{ 0xd359f993, __VMLINUX_SYMBOL_STR(mlx4_tunnel_steer_add) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x9df9b3c1, __VMLINUX_SYMBOL_STR(mlx4_mw_free) },
	{ 0xd25d3c51, __VMLINUX_SYMBOL_STR(mlx4_gen_pkey_eqe) },
	{ 0x5f4eeaa7, __VMLINUX_SYMBOL_STR(mmput) },
	{ 0x6ae582ab, __VMLINUX_SYMBOL_STR(mlx4_cq_modify) },
	{ 0xf0521521, __VMLINUX_SYMBOL_STR(debugfs_create_file) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x7b789055, __VMLINUX_SYMBOL_STR(debugfs_remove_recursive) },
	{ 0x40eef8bc, __VMLINUX_SYMBOL_STR(mlx4_buf_free) },
	{ 0xb4696c63, __VMLINUX_SYMBOL_STR(sysfs_remove_group) },
	{ 0x7eb954e3, __VMLINUX_SYMBOL_STR(mlx4_cq_resize) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0x9e007dbb, __VMLINUX_SYMBOL_STR(ib_get_rdma_header_version) },
	{ 0x9d0d6206, __VMLINUX_SYMBOL_STR(unregister_netdevice_notifier) },
	{ 0x7fe32873, __VMLINUX_SYMBOL_STR(rb_replace_node) },
	{ 0x9d8afe0a, __VMLINUX_SYMBOL_STR(ib_modify_qp) },
	{ 0x5e226022, __VMLINUX_SYMBOL_STR(mlx4_qp_free) },
	{ 0x44d9ee68, __VMLINUX_SYMBOL_STR(kobject_create_and_add) },
	{ 0xc6ff26a1, __VMLINUX_SYMBOL_STR(ib_alloc_device) },
	{ 0x83081fd4, __VMLINUX_SYMBOL_STR(mlx4_get_roce_gid_from_slave) },
	{ 0xbeaff396, __VMLINUX_SYMBOL_STR(simple_attr_read) },
	{ 0xb71871f6, __VMLINUX_SYMBOL_STR(param_ops_string) },
	{ 0xcb83e925, __VMLINUX_SYMBOL_STR(ib_free_send_mad) },
	{ 0xd669fcd, __VMLINUX_SYMBOL_STR(mlx4_srq_arm) },
	{ 0x18e8c1bb, __VMLINUX_SYMBOL_STR(ib_dealloc_device) },
	{ 0x51284179, __VMLINUX_SYMBOL_STR(mlx4_qp_remove) },
	{ 0x496043d3, __VMLINUX_SYMBOL_STR(mlx4_query_diag_counters) },
	{ 0xece784c2, __VMLINUX_SYMBOL_STR(rb_first) },
	{ 0xb920e4c9, __VMLINUX_SYMBOL_STR(ib_umem_activate_invalidation_notifier) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x9667812, __VMLINUX_SYMBOL_STR(mlx4_get_counter_stats) },
	{ 0x1c301720, __VMLINUX_SYMBOL_STR(ib_create_qp) },
	{ 0xdca197e7, __VMLINUX_SYMBOL_STR(mlx4_mw_enable) },
	{ 0x835d241e, __VMLINUX_SYMBOL_STR(mlx4_mtt_init) },
	{ 0x385fa023, __VMLINUX_SYMBOL_STR(mlx4_set_admin_guid) },
	{ 0x6d0aba34, __VMLINUX_SYMBOL_STR(wait_for_completion) },
	{ 0x248667a5, __VMLINUX_SYMBOL_STR(mlx4_register_vlan) },
	{ 0xafbc69f9, __VMLINUX_SYMBOL_STR(mlx4_mw_alloc) },
	{ 0x50d1f870, __VMLINUX_SYMBOL_STR(pgprot_writecombine) },
	{ 0x9ca6fbea, __VMLINUX_SYMBOL_STR(rdma_destroy_ah) },
	{ 0xb09c4f24, __VMLINUX_SYMBOL_STR(mlx4_mr_hw_get_mpt) },
	{ 0x7e526bfa, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r10) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x5991219c, __VMLINUX_SYMBOL_STR(cancel_delayed_work) },
	{ 0x694c52fc, __VMLINUX_SYMBOL_STR(mlx4_mr_hw_change_pd) },
	{ 0xe196b105, __VMLINUX_SYMBOL_STR(mlx4_assign_eq) },
	{ 0xddeee5c5, __VMLINUX_SYMBOL_STR(mlx4_vf_smi_enabled) },
	{ 0x8b8fa4d2, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x90d7f57, __VMLINUX_SYMBOL_STR(idr_alloc_cyclic) },
	{ 0xe5945864, __VMLINUX_SYMBOL_STR(mlx4_get_eqs_per_port) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x20c55ae0, __VMLINUX_SYMBOL_STR(sscanf) },
	{ 0x8b7f7102, __VMLINUX_SYMBOL_STR(mlx4_config_roce_v2_port) },
	{ 0xd567c133, __VMLINUX_SYMBOL_STR(mlx4_qp_modify) },
	{ 0x8dbb7fd2, __VMLINUX_SYMBOL_STR(sysfs_create_group) },
	{ 0x449ad0a7, __VMLINUX_SYMBOL_STR(memcmp) },
	{ 0xbe6dd557, __VMLINUX_SYMBOL_STR(get_task_mm) },
	{ 0x24365179, __VMLINUX_SYMBOL_STR(kobject_init_and_add) },
	{ 0x29ee9364, __VMLINUX_SYMBOL_STR(mlx4_buf_alloc) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0xd5b6fbc, __VMLINUX_SYMBOL_STR(mlx4_fmr_alloc) },
	{ 0xdd799653, __VMLINUX_SYMBOL_STR(mlx4_xrcd_alloc) },
	{ 0xcc23fbf1, __VMLINUX_SYMBOL_STR(mlx4_mr_free) },
	{ 0x4d9b652b, __VMLINUX_SYMBOL_STR(rb_erase) },
	{ 0x435f3f59, __VMLINUX_SYMBOL_STR(mlx4_mr_rereg_mem_write) },
	{ 0x9166fada, __VMLINUX_SYMBOL_STR(strncpy) },
	{ 0xf7df82d8, __VMLINUX_SYMBOL_STR(dev_mc_del) },
	{ 0xfc417877, __VMLINUX_SYMBOL_STR(rdma_is_zero_gid) },
	{ 0xc1525502, __VMLINUX_SYMBOL_STR(mlx4_gen_guid_change_eqe) },
	{ 0xafe3ea6c, __VMLINUX_SYMBOL_STR(ib_query_port) },
	{ 0xb1c80cad, __VMLINUX_SYMBOL_STR(mlx4_uar_alloc) },
	{ 0x5792f848, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0x84ffea8b, __VMLINUX_SYMBOL_STR(idr_preload) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0x60d1acb, __VMLINUX_SYMBOL_STR(ib_umem_get) },
	{ 0x2c1e004c, __VMLINUX_SYMBOL_STR(mlx4_map_sw_to_hw_steering_mode) },
	{ 0x6971ff06, __VMLINUX_SYMBOL_STR(mlx4_map_phys_fmr) },
	{ 0xeeccb8f8, __VMLINUX_SYMBOL_STR(mlx4_gen_port_state_change_eqe) },
	{ 0x2244d41f, __VMLINUX_SYMBOL_STR(rdma_query_ah) },
	{ 0xe4a62d84, __VMLINUX_SYMBOL_STR(mlx4_counter_free) },
	{ 0xd6a9bec2, __VMLINUX_SYMBOL_STR(mlx4_update_roce_addr_table) },
	{ 0xa735db59, __VMLINUX_SYMBOL_STR(prandom_u32) },
	{ 0xdac4913a, __VMLINUX_SYMBOL_STR(bitmap_allocate_region) },
	{ 0x76ffbdb8, __VMLINUX_SYMBOL_STR(simple_attr_release) },
	{ 0xa662538, __VMLINUX_SYMBOL_STR(mlx4_FLOW_STEERING_IB_UC_QP_RANGE) },
	{ 0xb93400f3, __VMLINUX_SYMBOL_STR(mlx4_alloc_cmd_mailbox) },
	{ 0x8df92f66, __VMLINUX_SYMBOL_STR(memchr_inv) },
	{ 0xc62fb5a2, __VMLINUX_SYMBOL_STR(ib_ud_ip4_csum) },
	{ 0xf8950eb6, __VMLINUX_SYMBOL_STR(ib_get_cached_pkey) },
	{ 0x87025256, __VMLINUX_SYMBOL_STR(up_write) },
	{ 0x470a49ea, __VMLINUX_SYMBOL_STR(init_net) },
	{ 0x87c18a1f, __VMLINUX_SYMBOL_STR(down_write) },
	{ 0xb9fd362, __VMLINUX_SYMBOL_STR(mlx4_rename_eq) },
	{ 0xe2274848, __VMLINUX_SYMBOL_STR(mlx4_CLOSE_PORT) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0xe35f7163, __VMLINUX_SYMBOL_STR(mlx4_cq_free) },
	{ 0x665c85a4, __VMLINUX_SYMBOL_STR(ib_ud_header_init) },
	{ 0x2fd0e42f, __VMLINUX_SYMBOL_STR(ib_sa_unregister_client) },
	{ 0xd26f34, __VMLINUX_SYMBOL_STR(ib_destroy_cq) },
	{ 0x6c0dcdb4, __VMLINUX_SYMBOL_STR(mlx4_get_slave_default_vlan) },
	{ 0x310e3c77, __VMLINUX_SYMBOL_STR(mlx4_is_slave_active) },
	{ 0x7a1f7324, __VMLINUX_SYMBOL_STR(ib_dispatch_event) },
	{ 0x162a41b9, __VMLINUX_SYMBOL_STR(ib_create_send_mad) },
	{ 0x87c04a85, __VMLINUX_SYMBOL_STR(ib_post_send_mad) },
	{ 0xfb73fb98, __VMLINUX_SYMBOL_STR(idr_remove) },
	{ 0x98a7eed8, __VMLINUX_SYMBOL_STR(device_create_file) },
	{ 0xc685a4b7, __VMLINUX_SYMBOL_STR(ib_unregister_mad_agent) },
	{ 0x58a5b4d0, __VMLINUX_SYMBOL_STR(mlx4_is_eq_shared) },
	{ 0xda0d50ec, __VMLINUX_SYMBOL_STR(ib_sa_cancel_query) },
	{ 0x8a89035a, __VMLINUX_SYMBOL_STR(ib_sa_guid_info_rec_query) },
	{ 0xda49fe58, __VMLINUX_SYMBOL_STR(set_and_calc_slave_port_state) },
	{ 0x40a9b349, __VMLINUX_SYMBOL_STR(vzalloc) },
	{ 0xe8567f3e, __VMLINUX_SYMBOL_STR(mlx4_multicast_attach) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0xb601be4c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rdx) },
	{ 0x30a793ac, __VMLINUX_SYMBOL_STR(mlx4_mr_alloc) },
	{ 0x618911fc, __VMLINUX_SYMBOL_STR(numa_node) },
	{ 0x2f2f7bc0, __VMLINUX_SYMBOL_STR(idr_find_slowpath) },
	{ 0x8c2ee5a5, __VMLINUX_SYMBOL_STR(ib_umem_page_count) },
	{ 0x42c8de35, __VMLINUX_SYMBOL_STR(ioremap_nocache) },
	{ 0x12a38747, __VMLINUX_SYMBOL_STR(usleep_range) },
	{ 0xcbf2f456, __VMLINUX_SYMBOL_STR(mlx4_get_slave_port_state) },
	{ 0x3cd3508e, __VMLINUX_SYMBOL_STR(mlx4_db_free) },
	{ 0x5944d015, __VMLINUX_SYMBOL_STR(__cachemode2pte_tbl) },
	{ 0x979a3fd1, __VMLINUX_SYMBOL_STR(sysfs_remove_file_ns) },
	{ 0x25c8fd8d, __VMLINUX_SYMBOL_STR(__mlx4_cmd) },
	{ 0x93fca811, __VMLINUX_SYMBOL_STR(__get_free_pages) },
	{ 0xba63339c, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_bh) },
	{ 0xeeec26a7, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0xba43d3d3, __VMLINUX_SYMBOL_STR(mlx4_qp_query) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0x1d10ec17, __VMLINUX_SYMBOL_STR(mlx4_xrcd_free) },
	{ 0x3c247dca, __VMLINUX_SYMBOL_STR(ib_register_device) },
	{ 0xdef09a1b, __VMLINUX_SYMBOL_STR(mlx4_uar_free) },
	{ 0x79a38e61, __VMLINUX_SYMBOL_STR(___ratelimit) },
	{ 0xa202a8e5, __VMLINUX_SYMBOL_STR(kmalloc_order_trace) },
	{ 0xc774238b, __VMLINUX_SYMBOL_STR(mlx4_mtt_cleanup) },
	{ 0x96b29254, __VMLINUX_SYMBOL_STR(strncasecmp) },
	{ 0x43261dca, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0x574c2e74, __VMLINUX_SYMBOL_STR(bitmap_release_region) },
	{ 0x9d957d7a, __VMLINUX_SYMBOL_STR(mlx4_free_cmd_mailbox) },
	{ 0x6b2dc060, __VMLINUX_SYMBOL_STR(dump_stack) },
	{ 0x9c88281d, __VMLINUX_SYMBOL_STR(mlx4_get_slave_from_roce_gid) },
	{ 0x2ea2c95c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rax) },
	{ 0x59512de0, __VMLINUX_SYMBOL_STR(ib_find_cached_pkey) },
	{ 0xc11270a0, __VMLINUX_SYMBOL_STR(ib_unregister_device) },
	{ 0x1aefd907, __VMLINUX_SYMBOL_STR(mlx4_bf_free) },
	{ 0x1a37d1ab, __VMLINUX_SYMBOL_STR(ib_cmem_map_contiguous_pages_to_vma) },
	{ 0xe69dc220, __VMLINUX_SYMBOL_STR(mlx4_SYNC_TPT) },
	{ 0x5174b8f2, __VMLINUX_SYMBOL_STR(rdma_create_ah) },
	{ 0xb0837775, __VMLINUX_SYMBOL_STR(mlx4_get_protocol_dev) },
	{ 0x2046df85, __VMLINUX_SYMBOL_STR(mlx4_cq_alloc) },
	{ 0xb889aa5, __VMLINUX_SYMBOL_STR(mlx4_slave_convert_port) },
	{ 0x626ccd65, __VMLINUX_SYMBOL_STR(mlx4_get_internal_clock_params) },
	{ 0xf2c3e3f, __VMLINUX_SYMBOL_STR(mlx4_mr_hw_write_mpt) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xa22f671b, __VMLINUX_SYMBOL_STR(mlx4_qp_release_range) },
	{ 0xa5526619, __VMLINUX_SYMBOL_STR(rb_insert_color) },
	{ 0x68060908, __VMLINUX_SYMBOL_STR(mlx4_release_eq) },
	{ 0x54908f3d, __VMLINUX_SYMBOL_STR(mlx4_get_active_ports) },
	{ 0x13542ddd, __VMLINUX_SYMBOL_STR(mlx4_srq_query) },
	{ 0x4302d0eb, __VMLINUX_SYMBOL_STR(free_pages) },
	{ 0x35ee7c82, __VMLINUX_SYMBOL_STR(zap_vma_ptes) },
	{ 0xe14b1b3a, __VMLINUX_SYMBOL_STR(mlx4_put_slave_node_guid) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xfe01220, __VMLINUX_SYMBOL_STR(remap_pfn_range) },
	{ 0xb09873fb, __VMLINUX_SYMBOL_STR(ib_sg_to_pages) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x801678, __VMLINUX_SYMBOL_STR(flush_scheduled_work) },
	{ 0xc1955a3f, __VMLINUX_SYMBOL_STR(ib_sa_register_client) },
	{ 0xedc03953, __VMLINUX_SYMBOL_STR(iounmap) },
	{ 0xd3719d59, __VMLINUX_SYMBOL_STR(paravirt_ticketlocks_enabled) },
	{ 0x4033793d, __VMLINUX_SYMBOL_STR(mlx4_get_base_gid_ix) },
	{ 0xbbb849f4, __VMLINUX_SYMBOL_STR(__put_task_struct) },
	{ 0xbb7de6a1, __VMLINUX_SYMBOL_STR(ib_modify_qp_is_ok) },
	{ 0xc3e9d874, __VMLINUX_SYMBOL_STR(mlx4_vlan_blocked) },
	{ 0x3118abfb, __VMLINUX_SYMBOL_STR(mlx4_fmr_enable) },
	{ 0xb352177e, __VMLINUX_SYMBOL_STR(find_first_bit) },
	{ 0x42fe8e45, __VMLINUX_SYMBOL_STR(get_pid_task) },
	{ 0x844e3767, __VMLINUX_SYMBOL_STR(radix_tree_lookup) },
	{ 0xf18a915a, __VMLINUX_SYMBOL_STR(mlx4_fill_dbdf2val_tbl) },
	{ 0x63c4d61f, __VMLINUX_SYMBOL_STR(__bitmap_weight) },
	{ 0xe50d83d0, __VMLINUX_SYMBOL_STR(__ib_alloc_pd) },
	{ 0xca9360b5, __VMLINUX_SYMBOL_STR(rb_next) },
	{ 0xe5d8cceb, __VMLINUX_SYMBOL_STR(dev_warn) },
	{ 0xa1e62fb, __VMLINUX_SYMBOL_STR(ib_ud_header_pack) },
	{ 0x4ef08f45, __VMLINUX_SYMBOL_STR(mlx4_register_mac) },
	{ 0x59247539, __VMLINUX_SYMBOL_STR(ib_create_cq) },
	{ 0x73c2554f, __VMLINUX_SYMBOL_STR(__iowrite64_copy) },
	{ 0xbb9f8bc2, __VMLINUX_SYMBOL_STR(mlx4_unregister_vlan) },
	{ 0x2c98c528, __VMLINUX_SYMBOL_STR(mlx4_multicast_detach) },
	{ 0x87173d58, __VMLINUX_SYMBOL_STR(mlx4_pd_alloc) },
	{ 0x9291cd3b, __VMLINUX_SYMBOL_STR(memdup_user) },
	{ 0x5704de7d, __VMLINUX_SYMBOL_STR(mlx4_bf_alloc) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0xc7adc64d, __VMLINUX_SYMBOL_STR(mlx4_gen_slaves_port_mgt_ev) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0x6238086, __VMLINUX_SYMBOL_STR(mlx4_write_mtt) },
	{ 0x85670f1d, __VMLINUX_SYMBOL_STR(rtnl_is_locked) },
	{ 0xa7c9d774, __VMLINUX_SYMBOL_STR(mlx4_unregister_interface) },
	{ 0x812b66f0, __VMLINUX_SYMBOL_STR(mlx4_fmr_unmap) },
	{ 0x377a8906, __VMLINUX_SYMBOL_STR(sysfs_create_file_ns) },
	{ 0x1cbea8fd, __VMLINUX_SYMBOL_STR(idr_init) },
	{ 0x4fecdac5, __VMLINUX_SYMBOL_STR(ib_cmem_alloc_contiguous_pages) },
	{ 0xdcda0dee, __VMLINUX_SYMBOL_STR(mlx4_mr_hw_change_access) },
	{ 0x5b540e9b, __VMLINUX_SYMBOL_STR(simple_attr_open) },
	{ 0x9546d445, __VMLINUX_SYMBOL_STR(mlx4_cq_ignore_overrun) },
	{ 0xda110ce0, __VMLINUX_SYMBOL_STR(mlx4_map_sw_to_hw_steering_id) },
	{ 0x7c4849d7, __VMLINUX_SYMBOL_STR(roce_v1_noncompat_gid) },
	{ 0x3084752e, __VMLINUX_SYMBOL_STR(mlx4_get_admin_guid) },
	{ 0x6e720ff2, __VMLINUX_SYMBOL_STR(rtnl_unlock) },
	{ 0x45a0bfd2, __VMLINUX_SYMBOL_STR(ib_umem_release) },
	{ 0x959c2dc, __VMLINUX_SYMBOL_STR(dma_ops) },
	{ 0x1310b28d, __VMLINUX_SYMBOL_STR(mlx4_buf_write_mtt) },
	{ 0x9a3d24c7, __VMLINUX_SYMBOL_STR(simple_attr_write) },
	{ 0x417d5b2f, __VMLINUX_SYMBOL_STR(mlx4_unregister_mac) },
	{ 0x14673746, __VMLINUX_SYMBOL_STR(mlx4_update_qp) },
	{ 0xe914e41e, __VMLINUX_SYMBOL_STR(strcpy) },
	{ 0x77a4c44, __VMLINUX_SYMBOL_STR(ib_get_gids_from_rdma_hdr) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mlx4_core,mlx_compat,ib_core";


MODULE_INFO(srcversion, "5A7FC38CA6D6B1C4180CA2E");
