#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "eth_ipoib.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x117af31b, __VMLINUX_SYMBOL_STR(register_netdevice) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x65e75cb6, __VMLINUX_SYMBOL_STR(__list_del_entry) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0xb43a926b, __VMLINUX_SYMBOL_STR(backport_dependency_symbol) },
	{ 0x20eadeb6, __VMLINUX_SYMBOL_STR(ip_compute_csum) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x17795916, __VMLINUX_SYMBOL_STR(cpu_online_mask) },
	{ 0x1b6314fd, __VMLINUX_SYMBOL_STR(in_aton) },
	{ 0x3c2cba1d, __VMLINUX_SYMBOL_STR(netdev_rx_handler_register) },
	{ 0xc7a4fbed, __VMLINUX_SYMBOL_STR(rtnl_lock) },
	{ 0x8c96866d, __VMLINUX_SYMBOL_STR(arp_tbl) },
	{ 0x9b3c5704, __VMLINUX_SYMBOL_STR(netif_carrier_on) },
	{ 0x1637ff0f, __VMLINUX_SYMBOL_STR(_raw_spin_lock_bh) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0xd2da1048, __VMLINUX_SYMBOL_STR(register_netdevice_notifier) },
	{ 0x716510e5, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0x44b1d426, __VMLINUX_SYMBOL_STR(__dynamic_pr_debug) },
	{ 0xddc77c46, __VMLINUX_SYMBOL_STR(netdev_master_upper_dev_get_rcu) },
	{ 0xe6234436, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x797c8fa9, __VMLINUX_SYMBOL_STR(cancel_delayed_work_sync) },
	{ 0x4629334c, __VMLINUX_SYMBOL_STR(__preempt_count) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0xb4696c63, __VMLINUX_SYMBOL_STR(sysfs_remove_group) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0x9d0d6206, __VMLINUX_SYMBOL_STR(unregister_netdevice_notifier) },
	{ 0xe2d5255a, __VMLINUX_SYMBOL_STR(strcmp) },
	{ 0x55fef759, __VMLINUX_SYMBOL_STR(netdev_master_upper_dev_link) },
	{ 0x3de815eb, __VMLINUX_SYMBOL_STR(dev_mc_add) },
	{ 0x8f5c6a98, __VMLINUX_SYMBOL_STR(__netdev_alloc_skb) },
	{ 0x4af29a8b, __VMLINUX_SYMBOL_STR(__pskb_pull_tail) },
	{ 0xfe7c4287, __VMLINUX_SYMBOL_STR(nr_cpu_ids) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x29236037, __VMLINUX_SYMBOL_STR(unregister_pernet_subsys) },
	{ 0x977c29b9, __VMLINUX_SYMBOL_STR(arp_create) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x7567599d, __VMLINUX_SYMBOL_STR(ethtool_op_get_link) },
	{ 0x20c55ae0, __VMLINUX_SYMBOL_STR(sscanf) },
	{ 0x3c3fce39, __VMLINUX_SYMBOL_STR(__local_bh_enable_ip) },
	{ 0x8dbb7fd2, __VMLINUX_SYMBOL_STR(sysfs_create_group) },
	{ 0x449ad0a7, __VMLINUX_SYMBOL_STR(memcmp) },
	{ 0x62849ac7, __VMLINUX_SYMBOL_STR(dev_valid_name) },
	{ 0xc2f53930, __VMLINUX_SYMBOL_STR(netdev_class_remove_file_ns) },
	{ 0x78bebec1, __VMLINUX_SYMBOL_STR(__ethtool_get_settings) },
	{ 0x9dfa1a1, __VMLINUX_SYMBOL_STR(free_netdev) },
	{ 0x9166fada, __VMLINUX_SYMBOL_STR(strncpy) },
	{ 0xf7df82d8, __VMLINUX_SYMBOL_STR(dev_mc_del) },
	{ 0x4aaa4ce, __VMLINUX_SYMBOL_STR(netdev_upper_dev_unlink) },
	{ 0x52a30294, __VMLINUX_SYMBOL_STR(kernfs_find_and_get_ns) },
	{ 0x738f1b0f, __VMLINUX_SYMBOL_STR(skb_push) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0x3df8316f, __VMLINUX_SYMBOL_STR(dev_close) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0x1e6d26a8, __VMLINUX_SYMBOL_STR(strstr) },
	{ 0xf4f14de6, __VMLINUX_SYMBOL_STR(rtnl_trylock) },
	{ 0x372bd9e7, __VMLINUX_SYMBOL_STR(sysfs_remove_link) },
	{ 0xd1521692, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0x470a49ea, __VMLINUX_SYMBOL_STR(init_net) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0xd278c8c4, __VMLINUX_SYMBOL_STR(dev_open) },
	{ 0xaf18149b, __VMLINUX_SYMBOL_STR(sysfs_create_link) },
	{ 0x5c89b93f, __VMLINUX_SYMBOL_STR(netif_receive_skb_sk) },
	{ 0x71d64183, __VMLINUX_SYMBOL_STR(napi_gro_receive) },
	{ 0x45416a18, __VMLINUX_SYMBOL_STR(dev_queue_xmit_sk) },
	{ 0xba63339c, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_bh) },
	{ 0xeeec26a7, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0xfadea3aa, __VMLINUX_SYMBOL_STR(netdev_rx_handler_unregister) },
	{ 0x96b29254, __VMLINUX_SYMBOL_STR(strncasecmp) },
	{ 0x6b2dc060, __VMLINUX_SYMBOL_STR(dump_stack) },
	{ 0x9a99eae4, __VMLINUX_SYMBOL_STR(alloc_netdev_mqs) },
	{ 0x2ea2c95c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rax) },
	{ 0x1f62acbe, __VMLINUX_SYMBOL_STR(eth_type_trans) },
	{ 0x4d5e8d43, __VMLINUX_SYMBOL_STR(arp_xmit) },
	{ 0x1e579dc5, __VMLINUX_SYMBOL_STR(__list_add_rcu) },
	{ 0x148b3ae8, __VMLINUX_SYMBOL_STR(register_pernet_subsys) },
	{ 0x90421fd0, __VMLINUX_SYMBOL_STR(ether_setup) },
	{ 0x1c24c019, __VMLINUX_SYMBOL_STR(__dev_get_by_name) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x59e2743e, __VMLINUX_SYMBOL_STR(call_rcu_bh) },
	{ 0xa48295c2, __VMLINUX_SYMBOL_STR(unregister_netdevice_queue) },
	{ 0x701b1101, __VMLINUX_SYMBOL_STR(_raw_write_unlock_bh) },
	{ 0x50277348, __VMLINUX_SYMBOL_STR(_raw_read_lock_bh) },
	{ 0xcf2cea31, __VMLINUX_SYMBOL_STR(_raw_read_unlock_bh) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xe8ed48ec, __VMLINUX_SYMBOL_STR(dev_alloc_name) },
	{ 0x4ca9669f, __VMLINUX_SYMBOL_STR(scnprintf) },
	{ 0x722c4746, __VMLINUX_SYMBOL_STR(_raw_write_lock_bh) },
	{ 0x63c4d61f, __VMLINUX_SYMBOL_STR(__bitmap_weight) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0xb0e602eb, __VMLINUX_SYMBOL_STR(memmove) },
	{ 0x912ce78d, __VMLINUX_SYMBOL_STR(consume_skb) },
	{ 0x85670f1d, __VMLINUX_SYMBOL_STR(rtnl_is_locked) },
	{ 0xf1012091, __VMLINUX_SYMBOL_STR(skb_put) },
	{ 0x6a944dfe, __VMLINUX_SYMBOL_STR(eth_mac_addr) },
	{ 0x8a59508c, __VMLINUX_SYMBOL_STR(__skb_tx_hash) },
	{ 0x6e720ff2, __VMLINUX_SYMBOL_STR(rtnl_unlock) },
	{ 0xc58a8cd, __VMLINUX_SYMBOL_STR(netdev_increment_features) },
	{ 0xa05aa993, __VMLINUX_SYMBOL_STR(dev_get_stats) },
	{ 0x190b9f7, __VMLINUX_SYMBOL_STR(netdev_class_create_file_ns) },
	{ 0x53ed424f, __VMLINUX_SYMBOL_STR(dev_set_mtu) },
	{ 0xe914e41e, __VMLINUX_SYMBOL_STR(strcpy) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mlx_compat";


MODULE_INFO(srcversion, "FDB6E58CA0FACC0F3CDFF5F");
