#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "rdma_ucm.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x23e76388, __VMLINUX_SYMBOL_STR(device_remove_file) },
	{ 0x3356b90b, __VMLINUX_SYMBOL_STR(cpu_tss) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x65e75cb6, __VMLINUX_SYMBOL_STR(__list_del_entry) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x1ed8b599, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r8) },
	{ 0xd9204fbe, __VMLINUX_SYMBOL_STR(rdma_get_service_id) },
	{ 0xb43a926b, __VMLINUX_SYMBOL_STR(backport_dependency_symbol) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0xc1d8cfaf, __VMLINUX_SYMBOL_STR(__fdget) },
	{ 0xdda29e6a, __VMLINUX_SYMBOL_STR(unregister_net_sysctl_table) },
	{ 0x1702e5e7, __VMLINUX_SYMBOL_STR(pid_vnr) },
	{ 0xd067fc5c, __VMLINUX_SYMBOL_STR(proc_dointvec) },
	{ 0x63749f62, __VMLINUX_SYMBOL_STR(no_llseek) },
	{ 0xdf44a0b3, __VMLINUX_SYMBOL_STR(rdma_join_multicast) },
	{ 0xc5a0d37a, __VMLINUX_SYMBOL_STR(ib_copy_path_rec_to_user) },
	{ 0x5a8cc205, __VMLINUX_SYMBOL_STR(rdma_read_gids) },
	{ 0x880e42e8, __VMLINUX_SYMBOL_STR(__rdma_create_id) },
	{ 0x64c14c24, __VMLINUX_SYMBOL_STR(rdma_destroy_id) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0xb3035451, __VMLINUX_SYMBOL_STR(ib_copy_ah_attr_to_user) },
	{ 0xeb64d692, __VMLINUX_SYMBOL_STR(rdma_init_qp_attr) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x8aae5d17, __VMLINUX_SYMBOL_STR(nonseekable_open) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0xc21d5c38, __VMLINUX_SYMBOL_STR(rdma_connect) },
	{ 0x4e475123, __VMLINUX_SYMBOL_STR(rdma_set_reuseaddr) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0xc671e369, __VMLINUX_SYMBOL_STR(_copy_to_user) },
	{ 0x6d0aba34, __VMLINUX_SYMBOL_STR(wait_for_completion) },
	{ 0x458ee93, __VMLINUX_SYMBOL_STR(rdma_set_ib_path) },
	{ 0x72f989d9, __VMLINUX_SYMBOL_STR(ib_sa_pack_path) },
	{ 0x5a299ef1, __VMLINUX_SYMBOL_STR(misc_register) },
	{ 0xb2d1a2a6, __VMLINUX_SYMBOL_STR(__rdma_accept) },
	{ 0x614dabe, __VMLINUX_SYMBOL_STR(idr_destroy) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x71dea071, __VMLINUX_SYMBOL_STR(rdma_listen) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0xd54a9b2c, __VMLINUX_SYMBOL_STR(ib_copy_qp_attr_to_user) },
	{ 0xd3a9e681, __VMLINUX_SYMBOL_STR(rdma_set_afonly) },
	{ 0x5946aefc, __VMLINUX_SYMBOL_STR(rdma_notify) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0xb74787a0, __VMLINUX_SYMBOL_STR(idr_alloc) },
	{ 0x470a49ea, __VMLINUX_SYMBOL_STR(init_net) },
	{ 0x183af23f, __VMLINUX_SYMBOL_STR(fput) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0xfb73fb98, __VMLINUX_SYMBOL_STR(idr_remove) },
	{ 0x98a7eed8, __VMLINUX_SYMBOL_STR(device_create_file) },
	{ 0xc13f413b, __VMLINUX_SYMBOL_STR(rdma_bind_addr) },
	{ 0xfbfbb51, __VMLINUX_SYMBOL_STR(rdma_resolve_route) },
	{ 0x2f2f7bc0, __VMLINUX_SYMBOL_STR(idr_find_slowpath) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0x2ea2c95c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rax) },
	{ 0x1b9b291d, __VMLINUX_SYMBOL_STR(rdma_disconnect) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xa22ba585, __VMLINUX_SYMBOL_STR(rdma_reject) },
	{ 0x1c3c0ad3, __VMLINUX_SYMBOL_STR(rdma_addr_size) },
	{ 0xcf21d241, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0x34f22f94, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x42dc6f90, __VMLINUX_SYMBOL_STR(rdma_set_service_type) },
	{ 0xc5dea750, __VMLINUX_SYMBOL_STR(rdma_resolve_addr) },
	{ 0xfa66f77c, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0x9291cd3b, __VMLINUX_SYMBOL_STR(memdup_user) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0x262bd202, __VMLINUX_SYMBOL_STR(ib_sa_unpack_path) },
	{ 0xd7c7ce86, __VMLINUX_SYMBOL_STR(register_net_sysctl) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0x315cd31a, __VMLINUX_SYMBOL_STR(misc_deregister) },
	{ 0xffd54c5b, __VMLINUX_SYMBOL_STR(rdma_leave_multicast) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rdma_cm,mlx_compat,ib_uverbs,ib_core";


MODULE_INFO(srcversion, "72394FA4DB4FFD9CB4E7673");
