#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "mlx5_ib.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x27bb389, __VMLINUX_SYMBOL_STR(mlx5_fill_page_frag_array) },
	{ 0x1a28d412, __VMLINUX_SYMBOL_STR(kobject_put) },
	{ 0x6fb175e5, __VMLINUX_SYMBOL_STR(mlx5_core_access_reg) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0xc7cac6ba, __VMLINUX_SYMBOL_STR(mlx5_core_qp_query) },
	{ 0x94eaece, __VMLINUX_SYMBOL_STR(mlx5_cmd_destroy_vport_lag) },
	{ 0x3356b90b, __VMLINUX_SYMBOL_STR(cpu_tss) },
	{ 0x9d79cad0, __VMLINUX_SYMBOL_STR(mlx5_core_alloc_transport_domain) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xa19ecf40, __VMLINUX_SYMBOL_STR(mlx5_free_bfreg) },
	{ 0x900b92a6, __VMLINUX_SYMBOL_STR(mlx5_lag_is_active) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x1fe3ee1a, __VMLINUX_SYMBOL_STR(mlx5_core_query_nvmf_ns) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0x5953c152, __VMLINUX_SYMBOL_STR(mlx5_vector2eqn) },
	{ 0x77da2fb3, __VMLINUX_SYMBOL_STR(mlx5_alloc_bfreg) },
	{ 0x48f04206, __VMLINUX_SYMBOL_STR(mlx5_core_arm_srq) },
	{ 0x1ed8b599, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r8) },
	{ 0x2d878b69, __VMLINUX_SYMBOL_STR(up_read) },
	{ 0x2b497db4, __VMLINUX_SYMBOL_STR(mlx5_core_query_ib_ppcnt) },
	{ 0x8e5fd7b4, __VMLINUX_SYMBOL_STR(ib_get_peer_private_data) },
	{ 0x619cb7dd, __VMLINUX_SYMBOL_STR(simple_read_from_buffer) },
	{ 0x60d6c69f, __VMLINUX_SYMBOL_STR(mlx5_cmd_alloc_uar) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0x5ee7414d, __VMLINUX_SYMBOL_STR(ib_umem_odp_map_dma_pages) },
	{ 0x8f9f6860, __VMLINUX_SYMBOL_STR(mlx5_cmd_free_uar) },
	{ 0xb43a926b, __VMLINUX_SYMBOL_STR(backport_dependency_symbol) },
	{ 0x5c23d257, __VMLINUX_SYMBOL_STR(debugfs_create_dir) },
	{ 0x4697136c, __VMLINUX_SYMBOL_STR(ib_cmem_release_contiguous_pages) },
	{ 0x784213a6, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0x6e42533, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_dct) },
	{ 0x7aa1756e, __VMLINUX_SYMBOL_STR(kvfree) },
	{ 0xadf55da2, __VMLINUX_SYMBOL_STR(ib_umem_copy_from) },
	{ 0x6e10dbc4, __VMLINUX_SYMBOL_STR(mlx5_core_modify_cq_moderation) },
	{ 0x754d539c, __VMLINUX_SYMBOL_STR(strlen) },
	{ 0x64528331, __VMLINUX_SYMBOL_STR(mlx5_core_mad_ifc) },
	{ 0xd15ce744, __VMLINUX_SYMBOL_STR(ib_put_peer_private_data) },
	{ 0x158aa215, __VMLINUX_SYMBOL_STR(mlx5_debugfs_root) },
	{ 0x1b17e06c, __VMLINUX_SYMBOL_STR(kstrtoll) },
	{ 0x525b8929, __VMLINUX_SYMBOL_STR(ib_dealloc_pd) },
	{ 0x441e06e2, __VMLINUX_SYMBOL_STR(mlx5_core_reserved_gids_count) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x5d35c664, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_cq) },
	{ 0x2dfa2e73, __VMLINUX_SYMBOL_STR(mlx5_query_port_link_width_oper) },
	{ 0xced9860, __VMLINUX_SYMBOL_STR(rbt_ib_umem_lookup) },
	{ 0x31c78843, __VMLINUX_SYMBOL_STR(rdma_port_get_link_layer) },
	{ 0x6b61ea08, __VMLINUX_SYMBOL_STR(mlx5_core_modify_tis) },
	{ 0xc83a418e, __VMLINUX_SYMBOL_STR(vlan_dev_vlan_id) },
	{ 0x34e7bc8e, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_tis) },
	{ 0xd2ba3cef, __VMLINUX_SYMBOL_STR(mlx5_core_query_mkey) },
	{ 0x6be8e8f6, __VMLINUX_SYMBOL_STR(mlx5_core_modify_rq) },
	{ 0x4c4f1833, __VMLINUX_SYMBOL_STR(boot_cpu_data) },
	{ 0xed830681, __VMLINUX_SYMBOL_STR(ib_alloc_odp_umem) },
	{ 0xcd6a0e93, __VMLINUX_SYMBOL_STR(mlx5_cmd_fc_query) },
	{ 0x7aacda32, __VMLINUX_SYMBOL_STR(mlx5_nic_vport_enable_roce) },
	{ 0xe5a9b771, __VMLINUX_SYMBOL_STR(mlx5_register_interface) },
	{ 0x22842a26, __VMLINUX_SYMBOL_STR(mlx5_core_page_fault_resume) },
	{ 0x33767320, __VMLINUX_SYMBOL_STR(mlx5_query_port_oper_mtu) },
	{ 0x8b900f3b, __VMLINUX_SYMBOL_STR(_raw_read_lock) },
	{ 0xe9a7f26f, __VMLINUX_SYMBOL_STR(kobject_uevent) },
	{ 0x12faa80f, __VMLINUX_SYMBOL_STR(__srcu_read_unlock) },
	{ 0xc8c13e53, __VMLINUX_SYMBOL_STR(mlx5_core_roce_gid_set) },
	{ 0x22f7efe, __VMLINUX_SYMBOL_STR(ib_destroy_qp) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0xca78228f, __VMLINUX_SYMBOL_STR(ib_query_pkey) },
	{ 0x8e921628, __VMLINUX_SYMBOL_STR(mlx5_query_hca_vport_context) },
	{ 0xdf566a59, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r9) },
	{ 0xa1f9a134, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rsi) },
	{ 0xd2da1048, __VMLINUX_SYMBOL_STR(register_netdevice_notifier) },
	{ 0x88bfa7e, __VMLINUX_SYMBOL_STR(cancel_work_sync) },
	{ 0x6fc6796f, __VMLINUX_SYMBOL_STR(mlx5_fc_destroy) },
	{ 0xee1a7e22, __VMLINUX_SYMBOL_STR(netdev_master_upper_dev_get) },
	{ 0x44b1d426, __VMLINUX_SYMBOL_STR(__dynamic_pr_debug) },
	{ 0xddc77c46, __VMLINUX_SYMBOL_STR(netdev_master_upper_dev_get_rcu) },
	{ 0xc29957c3, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rcx) },
	{ 0x4f45e040, __VMLINUX_SYMBOL_STR(mlx5_frag_buf_alloc_node) },
	{ 0x3fec048f, __VMLINUX_SYMBOL_STR(sg_next) },
	{ 0x9f38887e, __VMLINUX_SYMBOL_STR(x86_dma_fallback_dev) },
	{ 0x5da85c4c, __VMLINUX_SYMBOL_STR(mlx5_query_port_ib_proto_oper) },
	{ 0xa8949369, __VMLINUX_SYMBOL_STR(mlx5_query_hca_vport_pkey) },
	{ 0x33cbfec5, __VMLINUX_SYMBOL_STR(mlx5_query_port_vl_hw_cap) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x98c93ae0, __VMLINUX_SYMBOL_STR(ib_free_cq) },
	{ 0xb970c929, __VMLINUX_SYMBOL_STR(mlx5_core_get_srq) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x85df9b6c, __VMLINUX_SYMBOL_STR(strsep) },
	{ 0x5f4eeaa7, __VMLINUX_SYMBOL_STR(mmput) },
	{ 0xd5044c00, __VMLINUX_SYMBOL_STR(mlx5_rdma_netdev_free) },
	{ 0xf0521521, __VMLINUX_SYMBOL_STR(debugfs_create_file) },
	{ 0xbadb2ed7, __VMLINUX_SYMBOL_STR(mlx5_core_dct_query) },
	{ 0x60e1762b, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_rqt) },
	{ 0x45dd50f1, __VMLINUX_SYMBOL_STR(mlx5_core_set_dc_cnak_trace) },
	{ 0x6afbbeff, __VMLINUX_SYMBOL_STR(mlx5_core_alloc_memic) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x417862f3, __VMLINUX_SYMBOL_STR(mlx5_eswitch_vport_rep) },
	{ 0x7b789055, __VMLINUX_SYMBOL_STR(debugfs_remove_recursive) },
	{ 0x4a8c8571, __VMLINUX_SYMBOL_STR(mlx5_eswitch_unregister_vport_rep) },
	{ 0x7a0808b7, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_srq) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0x9d0d6206, __VMLINUX_SYMBOL_STR(unregister_netdevice_notifier) },
	{ 0xfcfbe994, __VMLINUX_SYMBOL_STR(mlx5_core_create_rq_tracked) },
	{ 0xf4a2674b, __VMLINUX_SYMBOL_STR(mlx5_core_qp_modify) },
	{ 0x9d8afe0a, __VMLINUX_SYMBOL_STR(ib_modify_qp) },
	{ 0xee5fc269, __VMLINUX_SYMBOL_STR(down_read) },
	{ 0x44d9ee68, __VMLINUX_SYMBOL_STR(kobject_create_and_add) },
	{ 0x31812a92, __VMLINUX_SYMBOL_STR(mlx5_core_query_srq) },
	{ 0xc6ff26a1, __VMLINUX_SYMBOL_STR(ib_alloc_device) },
	{ 0x18e8c1bb, __VMLINUX_SYMBOL_STR(ib_dealloc_device) },
	{ 0x6469a8a5, __VMLINUX_SYMBOL_STR(mlx5_query_port_eth_proto_oper) },
	{ 0xe7b37aaa, __VMLINUX_SYMBOL_STR(mlx5_core_create_mkey_cb) },
	{ 0xb920e4c9, __VMLINUX_SYMBOL_STR(ib_umem_activate_invalidation_notifier) },
	{ 0x20276be1, __VMLINUX_SYMBOL_STR(mlx5_core_modify_cq) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x1c301720, __VMLINUX_SYMBOL_STR(ib_create_qp) },
	{ 0xc671e369, __VMLINUX_SYMBOL_STR(_copy_to_user) },
	{ 0x6d0aba34, __VMLINUX_SYMBOL_STR(wait_for_completion) },
	{ 0x50d1f870, __VMLINUX_SYMBOL_STR(pgprot_writecombine) },
	{ 0x16ae1980, __VMLINUX_SYMBOL_STR(mlx5_rl_remove_rate) },
	{ 0xc4eadada, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_sq_tracked) },
	{ 0xd5f2172f, __VMLINUX_SYMBOL_STR(del_timer_sync) },
	{ 0xfdb9b629, __VMLINUX_SYMBOL_STR(ioread32be) },
	{ 0x7e526bfa, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r10) },
	{ 0xf8cd227d, __VMLINUX_SYMBOL_STR(mlx5_create_lag_demux_flow_table) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x5991219c, __VMLINUX_SYMBOL_STR(cancel_delayed_work) },
	{ 0xd8df1c69, __VMLINUX_SYMBOL_STR(mlx5_nic_vport_disable_roce) },
	{ 0x94028db8, __VMLINUX_SYMBOL_STR(mlx5_lag_modify_cong_params) },
	{ 0x3b97e924, __VMLINUX_SYMBOL_STR(mlx5_frag_buf_free) },
	{ 0xbd9208ab, __VMLINUX_SYMBOL_STR(mlx5_query_hca_vport_gid) },
	{ 0xb982ff70, __VMLINUX_SYMBOL_STR(mlx5_core_dealloc_memic) },
	{ 0xcfac7276, __VMLINUX_SYMBOL_STR(mlx5_query_port_max_mtu) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x2e5bd0f8, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_nvmf_backend_ctrl) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0x8dcc06ec, __VMLINUX_SYMBOL_STR(mlx5_core_query_vport_counter) },
	{ 0x37befc70, __VMLINUX_SYMBOL_STR(jiffies_to_msecs) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x57fe15ab, __VMLINUX_SYMBOL_STR(mlx5_core_query_sq_state) },
	{ 0x328d476e, __VMLINUX_SYMBOL_STR(mlx5_query_hca_vport_system_image_guid) },
	{ 0xdbe4cfeb, __VMLINUX_SYMBOL_STR(cleanup_srcu_struct) },
	{ 0xbe6dd557, __VMLINUX_SYMBOL_STR(get_task_mm) },
	{ 0x384a4896, __VMLINUX_SYMBOL_STR(mlx5_core_modify_sq) },
	{ 0x24365179, __VMLINUX_SYMBOL_STR(kobject_init_and_add) },
	{ 0xd1f4fcc1, __VMLINUX_SYMBOL_STR(mlx5_rdma_netdev_alloc) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0xe3e2d66c, __VMLINUX_SYMBOL_STR(ib_umem_odp_unmap_dma_pages) },
	{ 0xc90679d8, __VMLINUX_SYMBOL_STR(mlx5_del_flow_rules) },
	{ 0xac0ba8c1, __VMLINUX_SYMBOL_STR(blk_iopoll_disable) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0x562608f3, __VMLINUX_SYMBOL_STR(mlx5_set_port_caps) },
	{ 0x2a7a4b00, __VMLINUX_SYMBOL_STR(mlx5_core_create_nvmf_backend_ctrl) },
	{ 0x7d0cd6d9, __VMLINUX_SYMBOL_STR(mlx5_core_detach_nvmf_ns) },
	{ 0xd4eaa22, __VMLINUX_SYMBOL_STR(mlx5_query_nic_vport_node_guid) },
	{ 0x86e3e00f, __VMLINUX_SYMBOL_STR(__ib_alloc_cq) },
	{ 0xafe3ea6c, __VMLINUX_SYMBOL_STR(ib_query_port) },
	{ 0x8367e973, __VMLINUX_SYMBOL_STR(mlx5_get_uars_page) },
	{ 0x5792f848, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0x593c1bac, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rbx) },
	{ 0x21fc9cc7, __VMLINUX_SYMBOL_STR(mlx5_put_uars_page) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x1c480e27, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_tir) },
	{ 0x143687b2, __VMLINUX_SYMBOL_STR(_raw_write_lock) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0x60d1acb, __VMLINUX_SYMBOL_STR(ib_umem_get) },
	{ 0x6a707b94, __VMLINUX_SYMBOL_STR(mlx5_core_detach_mcg) },
	{ 0x68aca4ad, __VMLINUX_SYMBOL_STR(down) },
	{ 0x8834396c, __VMLINUX_SYMBOL_STR(mod_timer) },
	{ 0x67916a34, __VMLINUX_SYMBOL_STR(__srcu_read_lock) },
	{ 0xb6a68816, __VMLINUX_SYMBOL_STR(find_last_bit) },
	{ 0x373db350, __VMLINUX_SYMBOL_STR(kstrtoint) },
	{ 0x8df92f66, __VMLINUX_SYMBOL_STR(memchr_inv) },
	{ 0xe969ba53, __VMLINUX_SYMBOL_STR(mlx5_get_flow_namespace) },
	{ 0xd5b4cc39, __VMLINUX_SYMBOL_STR(mlx5_destroy_flow_table) },
	{ 0x84646812, __VMLINUX_SYMBOL_STR(simple_open) },
	{ 0xd35aabde, __VMLINUX_SYMBOL_STR(mlx5_add_flow_rules) },
	{ 0xdb75e136, __VMLINUX_SYMBOL_STR(mlx5_lag_get_roce_netdev) },
	{ 0xe3a53f4c, __VMLINUX_SYMBOL_STR(sort) },
	{ 0x87025256, __VMLINUX_SYMBOL_STR(up_write) },
	{ 0x87c18a1f, __VMLINUX_SYMBOL_STR(down_write) },
	{ 0xd80838d9, __VMLINUX_SYMBOL_STR(init_srcu_struct) },
	{ 0x143b569, __VMLINUX_SYMBOL_STR(mlx5_core_create_cq) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0xfe62477e, __VMLINUX_SYMBOL_STR(mlx5_query_nic_vport_system_image_guid) },
	{ 0xd26f34, __VMLINUX_SYMBOL_STR(ib_destroy_cq) },
	{ 0xfdcf2a14, __VMLINUX_SYMBOL_STR(mlx5_core_dealloc_transport_domain) },
	{ 0x7a1f7324, __VMLINUX_SYMBOL_STR(ib_dispatch_event) },
	{ 0x98a7eed8, __VMLINUX_SYMBOL_STR(device_create_file) },
	{ 0xc5bc25de, __VMLINUX_SYMBOL_STR(kvmalloc_node) },
	{ 0x72112bc9, __VMLINUX_SYMBOL_STR(mlx5_query_min_inline) },
	{ 0x167c5967, __VMLINUX_SYMBOL_STR(print_hex_dump) },
	{ 0xcc9d8d1e, __VMLINUX_SYMBOL_STR(mlx5_unregister_interface) },
	{ 0x9bda721c, __VMLINUX_SYMBOL_STR(mlx5_cmd_create_vport_lag) },
	{ 0xce9f2e4c, __VMLINUX_SYMBOL_STR(find_vma) },
	{ 0xc6cbbc89, __VMLINUX_SYMBOL_STR(capable) },
	{ 0xdc20f322, __VMLINUX_SYMBOL_STR(kstrtouint_from_user) },
	{ 0x40a9b349, __VMLINUX_SYMBOL_STR(vzalloc) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0xb8487554, __VMLINUX_SYMBOL_STR(mlx5_core_create_tir) },
	{ 0xf5a9b6ac, __VMLINUX_SYMBOL_STR(mlx5_core_create_tis) },
	{ 0x369a05e5, __VMLINUX_SYMBOL_STR(mlx5_core_arm_dct) },
	{ 0x1d2c09db, __VMLINUX_SYMBOL_STR(__free_pages) },
	{ 0xb601be4c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rdx) },
	{ 0x618911fc, __VMLINUX_SYMBOL_STR(numa_node) },
	{ 0x8c2ee5a5, __VMLINUX_SYMBOL_STR(ib_umem_page_count) },
	{ 0x42c8de35, __VMLINUX_SYMBOL_STR(ioremap_nocache) },
	{ 0x12a38747, __VMLINUX_SYMBOL_STR(usleep_range) },
	{ 0x5944d015, __VMLINUX_SYMBOL_STR(__cachemode2pte_tbl) },
	{ 0x93fca811, __VMLINUX_SYMBOL_STR(__get_free_pages) },
	{ 0xeeec26a7, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0x2ff8bfa4, __VMLINUX_SYMBOL_STR(mlx5_core_dealloc_q_counter) },
	{ 0x3c247dca, __VMLINUX_SYMBOL_STR(ib_register_device) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0xaccabc6a, __VMLINUX_SYMBOL_STR(in4_pton) },
	{ 0x15dfa3ae, __VMLINUX_SYMBOL_STR(mlx5_core_set_delay_drop) },
	{ 0xb730cea3, __VMLINUX_SYMBOL_STR(mlx5_core_dealloc_pd) },
	{ 0x43261dca, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0xe4ce8f6c, __VMLINUX_SYMBOL_STR(mlx5_cmd_exec) },
	{ 0x2ea2c95c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rax) },
	{ 0x59512de0, __VMLINUX_SYMBOL_STR(ib_find_cached_pkey) },
	{ 0xc11270a0, __VMLINUX_SYMBOL_STR(ib_unregister_device) },
	{ 0x5151f1, __VMLINUX_SYMBOL_STR(rbt_ib_umem_for_each_in_range) },
	{ 0x1a37d1ab, __VMLINUX_SYMBOL_STR(ib_cmem_map_contiguous_pages_to_vma) },
	{ 0x71486e66, __VMLINUX_SYMBOL_STR(mlx5_eswitch_register_vport_rep) },
	{ 0x698168d9, __VMLINUX_SYMBOL_STR(mlx5_core_create_dct) },
	{ 0x11929bef, __VMLINUX_SYMBOL_STR(mlx5_core_alloc_q_counter) },
	{ 0xfe99e0f1, __VMLINUX_SYMBOL_STR(mlx5_core_query_rq) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xca9efa44, __VMLINUX_SYMBOL_STR(ib_query_qp) },
	{ 0x806ece5a, __VMLINUX_SYMBOL_STR(ib_dereg_mr) },
	{ 0xd0445162, __VMLINUX_SYMBOL_STR(mlx5_core_xrcd_alloc) },
	{ 0x4302d0eb, __VMLINUX_SYMBOL_STR(free_pages) },
	{ 0x7687432, __VMLINUX_SYMBOL_STR(synchronize_srcu) },
	{ 0xcf21d241, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0x34f22f94, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0x336dd6a3, __VMLINUX_SYMBOL_STR(ib_process_cq_direct) },
	{ 0x98ffd556, __VMLINUX_SYMBOL_STR(mlx5_fc_query_cached) },
	{ 0x61da8b71, __VMLINUX_SYMBOL_STR(mlx5_db_alloc) },
	{ 0x35ee7c82, __VMLINUX_SYMBOL_STR(zap_vma_ptes) },
	{ 0x1eccc1f9, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_qp) },
	{ 0x1e047854, __VMLINUX_SYMBOL_STR(warn_slowpath_fmt) },
	{ 0x1c833f4c, __VMLINUX_SYMBOL_STR(mlx5_core_create_srq) },
	{ 0x5cfc2e92, __VMLINUX_SYMBOL_STR(mlx5_query_hca_vport_node_guid) },
	{ 0x368d7508, __VMLINUX_SYMBOL_STR(mlx5_core_query_vendor_id) },
	{ 0x16b01db2, __VMLINUX_SYMBOL_STR(mlx5_core_create_rqt) },
	{ 0xbabb68fd, __VMLINUX_SYMBOL_STR(pci_sriov_get_totalvfs) },
	{ 0xace21f95, __VMLINUX_SYMBOL_STR(mlx5_fc_create) },
	{ 0x58348f06, __VMLINUX_SYMBOL_STR(rdma_query_gid) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xa46f2f1b, __VMLINUX_SYMBOL_STR(kstrtouint) },
	{ 0xfe01220, __VMLINUX_SYMBOL_STR(remap_pfn_range) },
	{ 0xb09873fb, __VMLINUX_SYMBOL_STR(ib_sg_to_pages) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0xb8eeafdc, __VMLINUX_SYMBOL_STR(mlx5_core_xrcd_dealloc) },
	{ 0x96d74c1f, __VMLINUX_SYMBOL_STR(mlx5_core_create_mkey) },
	{ 0x5e6f1556, __VMLINUX_SYMBOL_STR(mlx5_create_auto_grouped_flow_table) },
	{ 0x406b2690, __VMLINUX_SYMBOL_STR(mlx5_rl_add_rate) },
	{ 0x1eb26a58, __VMLINUX_SYMBOL_STR(mlx5_core_modify_hca_vport_context) },
	{ 0x8591d413, __VMLINUX_SYMBOL_STR(mlx5_core_create_psv) },
	{ 0x2562273b, __VMLINUX_SYMBOL_STR(debugfs_create_atomic_t) },
	{ 0xcb672dc2, __VMLINUX_SYMBOL_STR(mlx5_rl_are_equal) },
	{ 0xedc03953, __VMLINUX_SYMBOL_STR(iounmap) },
	{ 0xd3719d59, __VMLINUX_SYMBOL_STR(paravirt_ticketlocks_enabled) },
	{ 0x71e3cecb, __VMLINUX_SYMBOL_STR(up) },
	{ 0x9490648e, __VMLINUX_SYMBOL_STR(mlx5_nic_vport_update_local_lb) },
	{ 0xbbb849f4, __VMLINUX_SYMBOL_STR(__put_task_struct) },
	{ 0xf7b68ed8, __VMLINUX_SYMBOL_STR(mlx5_core_attach_nvmf_ns) },
	{ 0xe57878a1, __VMLINUX_SYMBOL_STR(in6_pton) },
	{ 0xbb7de6a1, __VMLINUX_SYMBOL_STR(ib_modify_qp_is_ok) },
	{ 0x83fe53b7, __VMLINUX_SYMBOL_STR(mlx5_core_create_sq_tracked) },
	{ 0x27639d79, __VMLINUX_SYMBOL_STR(mlx5_query_nic_vport_qkey_viol_cntr) },
	{ 0x74c134b9, __VMLINUX_SYMBOL_STR(__sw_hweight32) },
	{ 0xb352177e, __VMLINUX_SYMBOL_STR(find_first_bit) },
	{ 0xfa66f77c, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0x42fe8e45, __VMLINUX_SYMBOL_STR(get_pid_task) },
	{ 0x844e3767, __VMLINUX_SYMBOL_STR(radix_tree_lookup) },
	{ 0xe50d83d0, __VMLINUX_SYMBOL_STR(__ib_alloc_pd) },
	{ 0xca9360b5, __VMLINUX_SYMBOL_STR(rb_next) },
	{ 0x6a76f3ac, __VMLINUX_SYMBOL_STR(blk_iopoll_enable) },
	{ 0xa99e7845, __VMLINUX_SYMBOL_STR(mlx5_eswitch_get_rep_netdev) },
	{ 0x59247539, __VMLINUX_SYMBOL_STR(ib_create_cq) },
	{ 0x500ce5c0, __VMLINUX_SYMBOL_STR(mlx5_core_alloc_pd) },
	{ 0x9291cd3b, __VMLINUX_SYMBOL_STR(memdup_user) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0xd7a49bda, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_psv) },
	{ 0x9209f6eb, __VMLINUX_SYMBOL_STR(mlx5_core_attach_mcg) },
	{ 0xd979a547, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rdi) },
	{ 0x77bc13a0, __VMLINUX_SYMBOL_STR(strim) },
	{ 0x59689f7b, __VMLINUX_SYMBOL_STR(mlx5_lag_query_cong_counters) },
	{ 0x53f6ffbc, __VMLINUX_SYMBOL_STR(wait_for_completion_timeout) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0xa6da5302, __VMLINUX_SYMBOL_STR(mlx5_core_query_q_counter) },
	{ 0x614bb773, __VMLINUX_SYMBOL_STR(radix_tree_insert) },
	{ 0x149c7752, __VMLINUX_SYMBOL_STR(param_ops_uint) },
	{ 0x4fecdac5, __VMLINUX_SYMBOL_STR(ib_cmem_alloc_contiguous_pages) },
	{ 0xc0d0524d, __VMLINUX_SYMBOL_STR(mlx5_eswitch_mode) },
	{ 0x933d1d9c, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_mkey) },
	{ 0xdaaaed56, __VMLINUX_SYMBOL_STR(mlx5_db_free) },
	{ 0x45a0bfd2, __VMLINUX_SYMBOL_STR(ib_umem_release) },
	{ 0x959c2dc, __VMLINUX_SYMBOL_STR(dma_ops) },
	{ 0xd0091786, __VMLINUX_SYMBOL_STR(mlx5_eswitch_add_send_to_vport_rule) },
	{ 0xe3f00c25, __VMLINUX_SYMBOL_STR(mlx5_core_destroy_rq_tracked) },
	{ 0xc9af0599, __VMLINUX_SYMBOL_STR(mlx5_core_create_qp) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mlx5_core,ib_core,mlx_compat";


MODULE_INFO(srcversion, "D065C53E50DB695476D6A5D");
