#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "mlx4_en.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xfa903409, __VMLINUX_SYMBOL_STR(mlx4_port_map_set) },
	{ 0x1a28d412, __VMLINUX_SYMBOL_STR(kobject_put) },
	{ 0x989f3a37, __VMLINUX_SYMBOL_STR(mlx4_get_vf_link_state) },
	{ 0x1c087868, __VMLINUX_SYMBOL_STR(mlx4_mr_enable) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x65e75cb6, __VMLINUX_SYMBOL_STR(__list_del_entry) },
	{ 0x9ccd5f52, __VMLINUX_SYMBOL_STR(mlx4_get_default_counter_index) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x3a0cb934, __VMLINUX_SYMBOL_STR(ethtool_op_get_ts_info) },
	{ 0xe4689576, __VMLINUX_SYMBOL_STR(ktime_get_with_offset) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0x99840d00, __VMLINUX_SYMBOL_STR(timecounter_init) },
	{ 0xb26a1add, __VMLINUX_SYMBOL_STR(elfcorehdr_addr) },
	{ 0x9927cfa1, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_user_mtu) },
	{ 0x1ed8b599, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r8) },
	{ 0xcd40a979, __VMLINUX_SYMBOL_STR(mlx4_pd_free) },
	{ 0x1a0af25e, __VMLINUX_SYMBOL_STR(mlx4_qp_reserve_range) },
	{ 0x1435edc5, __VMLINUX_SYMBOL_STR(mlx4_flow_detach) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0xb43a926b, __VMLINUX_SYMBOL_STR(backport_dependency_symbol) },
	{ 0x460d8d15, __VMLINUX_SYMBOL_STR(mlx4_qp_alloc) },
	{ 0x7c98f16, __VMLINUX_SYMBOL_STR(mlx4_get_vf_stats_netdev) },
	{ 0xb2be6e92, __VMLINUX_SYMBOL_STR(netdev_stats_to_stats64) },
	{ 0x7aa1756e, __VMLINUX_SYMBOL_STR(kvfree) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0xfc6d95d8, __VMLINUX_SYMBOL_STR(napi_disable) },
	{ 0x2bba1bbf, __VMLINUX_SYMBOL_STR(__napi_schedule_irqoff) },
	{ 0x98f38dc6, __VMLINUX_SYMBOL_STR(mlx4_INIT_PORT) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x2c5971e1, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_user_mac) },
	{ 0xb2eb7568, __VMLINUX_SYMBOL_STR(mlx4_alloc_hwq_res) },
	{ 0xf9535f97, __VMLINUX_SYMBOL_STR(irq_to_desc) },
	{ 0x8187b7e9, __VMLINUX_SYMBOL_STR(mlx4_get_vf_vlan_info) },
	{ 0x9469482, __VMLINUX_SYMBOL_STR(kfree_call_rcu) },
	{ 0x17795916, __VMLINUX_SYMBOL_STR(cpu_online_mask) },
	{ 0xfebaa990, __VMLINUX_SYMBOL_STR(mlx4_register_interface) },
	{ 0x3485b1ff, __VMLINUX_SYMBOL_STR(node_data) },
	{ 0xc7a4fbed, __VMLINUX_SYMBOL_STR(rtnl_lock) },
	{ 0x4ea25709, __VMLINUX_SYMBOL_STR(dql_reset) },
	{ 0x9b3c5704, __VMLINUX_SYMBOL_STR(netif_carrier_on) },
	{ 0x1637ff0f, __VMLINUX_SYMBOL_STR(_raw_spin_lock_bh) },
	{ 0x2214eb5e, __VMLINUX_SYMBOL_STR(mlx4_get_is_vlan_offload_disabled) },
	{ 0xf25e0a10, __VMLINUX_SYMBOL_STR(mlx4_set_vf_rate) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0xdf566a59, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r9) },
	{ 0xd2da1048, __VMLINUX_SYMBOL_STR(register_netdevice_notifier) },
	{ 0x716510e5, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0x88bfa7e, __VMLINUX_SYMBOL_STR(cancel_work_sync) },
	{ 0xee1a7e22, __VMLINUX_SYMBOL_STR(netdev_master_upper_dev_get) },
	{ 0x448eac3e, __VMLINUX_SYMBOL_STR(kmemdup) },
	{ 0x233dc6ef, __VMLINUX_SYMBOL_STR(set_phv_bit) },
	{ 0xc29957c3, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rcx) },
	{ 0xe6234436, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0xeae3dfd6, __VMLINUX_SYMBOL_STR(__const_udelay) },
	{ 0xae3ab25c, __VMLINUX_SYMBOL_STR(mlx4_flow_steer_promisc_add) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0xd359f993, __VMLINUX_SYMBOL_STR(mlx4_tunnel_steer_add) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x21df74d9, __VMLINUX_SYMBOL_STR(bitmap_set) },
	{ 0x999e8297, __VMLINUX_SYMBOL_STR(vfree) },
	{ 0x6ae582ab, __VMLINUX_SYMBOL_STR(mlx4_cq_modify) },
	{ 0x76612db5, __VMLINUX_SYMBOL_STR(rps_may_expire_flow) },
	{ 0x4629334c, __VMLINUX_SYMBOL_STR(__preempt_count) },
	{ 0x7a2af7b4, __VMLINUX_SYMBOL_STR(cpu_number) },
	{ 0x1ac5d3cb, __VMLINUX_SYMBOL_STR(strcspn) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x904851f7, __VMLINUX_SYMBOL_STR(mlx4_unicast_detach) },
	{ 0xf4c91ed, __VMLINUX_SYMBOL_STR(ns_to_timespec) },
	{ 0x535cdd19, __VMLINUX_SYMBOL_STR(mlx4_get_module_info) },
	{ 0xe685efbb, __VMLINUX_SYMBOL_STR(__alloc_pages_nodemask) },
	{ 0xb4696c63, __VMLINUX_SYMBOL_STR(sysfs_remove_group) },
	{ 0xf59d6fe3, __VMLINUX_SYMBOL_STR(mlx4_unicast_promisc_remove) },
	{ 0xf5952e8, __VMLINUX_SYMBOL_STR(netif_napi_del) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0x8cac8c08, __VMLINUX_SYMBOL_STR(free_cpumask_var) },
	{ 0x9d0d6206, __VMLINUX_SYMBOL_STR(unregister_netdevice_notifier) },
	{ 0x5e226022, __VMLINUX_SYMBOL_STR(mlx4_qp_free) },
	{ 0xe2d5255a, __VMLINUX_SYMBOL_STR(strcmp) },
	{ 0x51284179, __VMLINUX_SYMBOL_STR(mlx4_qp_remove) },
	{ 0x8f5c6a98, __VMLINUX_SYMBOL_STR(__netdev_alloc_skb) },
	{ 0x4af29a8b, __VMLINUX_SYMBOL_STR(__pskb_pull_tail) },
	{ 0x4747d3ee, __VMLINUX_SYMBOL_STR(ptp_clock_unregister) },
	{ 0x9667812, __VMLINUX_SYMBOL_STR(mlx4_get_counter_stats) },
	{ 0xc671e369, __VMLINUX_SYMBOL_STR(_copy_to_user) },
	{ 0xfe7c4287, __VMLINUX_SYMBOL_STR(nr_cpu_ids) },
	{ 0xcb0d9bfd, __VMLINUX_SYMBOL_STR(mlx4_SET_MCAST_FLTR) },
	{ 0xcaa7e391, __VMLINUX_SYMBOL_STR(mlx4_get_vf_vlan_set) },
	{ 0x248667a5, __VMLINUX_SYMBOL_STR(mlx4_register_vlan) },
	{ 0xffad377d, __VMLINUX_SYMBOL_STR(netif_schedule_queue) },
	{ 0x7e526bfa, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r10) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x91780888, __VMLINUX_SYMBOL_STR(dcb_getapp) },
	{ 0xb1d4692c, __VMLINUX_SYMBOL_STR(dcb_setapp) },
	{ 0xe400d40d, __VMLINUX_SYMBOL_STR(mlx4_unbond) },
	{ 0x61097a29, __VMLINUX_SYMBOL_STR(mlx4_read_clock) },
	{ 0x5991219c, __VMLINUX_SYMBOL_STR(cancel_delayed_work) },
	{ 0xc080899d, __VMLINUX_SYMBOL_STR(mlx4_multicast_promisc_add) },
	{ 0xe196b105, __VMLINUX_SYMBOL_STR(mlx4_assign_eq) },
	{ 0xb09a4ed5, __VMLINUX_SYMBOL_STR(netif_tx_wake_queue) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x6a728bd, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_qpn_calc) },
	{ 0xe5945864, __VMLINUX_SYMBOL_STR(mlx4_get_eqs_per_port) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x6e36c390, __VMLINUX_SYMBOL_STR(netif_set_xps_queue) },
	{ 0x5c67a1ef, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_fcs_check) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x7567599d, __VMLINUX_SYMBOL_STR(ethtool_op_get_link) },
	{ 0x20c55ae0, __VMLINUX_SYMBOL_STR(sscanf) },
	{ 0x3c3fce39, __VMLINUX_SYMBOL_STR(__local_bh_enable_ip) },
	{ 0xd567c133, __VMLINUX_SYMBOL_STR(mlx4_qp_modify) },
	{ 0x8dbb7fd2, __VMLINUX_SYMBOL_STR(sysfs_create_group) },
	{ 0x5de0947e, __VMLINUX_SYMBOL_STR(mlx4_is_available_mac) },
	{ 0x24365179, __VMLINUX_SYMBOL_STR(kobject_init_and_add) },
	{ 0xa00aca2a, __VMLINUX_SYMBOL_STR(dql_completed) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0x287e28c8, __VMLINUX_SYMBOL_STR(vxlan_get_rx_port) },
	{ 0x9dfa1a1, __VMLINUX_SYMBOL_STR(free_netdev) },
	{ 0xcc23fbf1, __VMLINUX_SYMBOL_STR(mlx4_mr_free) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0x525c1ee, __VMLINUX_SYMBOL_STR(zalloc_cpumask_var) },
	{ 0x8fc57146, __VMLINUX_SYMBOL_STR(register_netdev) },
	{ 0xb1c80cad, __VMLINUX_SYMBOL_STR(mlx4_uar_alloc) },
	{ 0x5792f848, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0x593c1bac, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rbx) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0x1e6d26a8, __VMLINUX_SYMBOL_STR(strstr) },
	{ 0xf6b0dbe2, __VMLINUX_SYMBOL_STR(mlx4_set_vf_vlan) },
	{ 0x5574f5ad, __VMLINUX_SYMBOL_STR(netif_set_real_num_rx_queues) },
	{ 0xc2cdbf1, __VMLINUX_SYMBOL_STR(synchronize_sched) },
	{ 0xcbf3699a, __VMLINUX_SYMBOL_STR(netif_set_real_num_tx_queues) },
	{ 0xdf433b61, __VMLINUX_SYMBOL_STR(netif_napi_add) },
	{ 0x223631c2, __VMLINUX_SYMBOL_STR(ptp_clock_register) },
	{ 0xb93400f3, __VMLINUX_SYMBOL_STR(mlx4_alloc_cmd_mailbox) },
	{ 0x93751b63, __VMLINUX_SYMBOL_STR(mlx4_max_tc) },
	{ 0x37a786e, __VMLINUX_SYMBOL_STR(mlx4_is_eq_vector_valid) },
	{ 0xd5548f9a, __VMLINUX_SYMBOL_STR(mlx4_reset_vlan_policy) },
	{ 0x470a49ea, __VMLINUX_SYMBOL_STR(init_net) },
	{ 0xb9fd362, __VMLINUX_SYMBOL_STR(mlx4_rename_eq) },
	{ 0xe2274848, __VMLINUX_SYMBOL_STR(mlx4_CLOSE_PORT) },
	{ 0xc8a91f5b, __VMLINUX_SYMBOL_STR(cpumask_local_spread) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0xe35f7163, __VMLINUX_SYMBOL_STR(mlx4_cq_free) },
	{ 0x414cad25, __VMLINUX_SYMBOL_STR(mlx4_config_vxlan_port) },
	{ 0x8c4d8618, __VMLINUX_SYMBOL_STR(mlx4_free_hwq_res) },
	{ 0xc542933a, __VMLINUX_SYMBOL_STR(timecounter_read) },
	{ 0xc5bc25de, __VMLINUX_SYMBOL_STR(kvmalloc_node) },
	{ 0x141a8e11, __VMLINUX_SYMBOL_STR(__mlx4_replace_mac) },
	{ 0xa8b76a68, __VMLINUX_SYMBOL_STR(timecounter_cyc2time) },
	{ 0x7e67f432, __VMLINUX_SYMBOL_STR(netif_device_attach) },
	{ 0x9368dbd6, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_disable_mc_loopback) },
	{ 0x40a9b349, __VMLINUX_SYMBOL_STR(vzalloc) },
	{ 0xe8567f3e, __VMLINUX_SYMBOL_STR(mlx4_multicast_attach) },
	{ 0xeca563f3, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_PRIO2TC) },
	{ 0x1d2c09db, __VMLINUX_SYMBOL_STR(__free_pages) },
	{ 0xeeb03ee5, __VMLINUX_SYMBOL_STR(mlx4_get_vport_ethtool_stats) },
	{ 0x7c755d0f, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_node_trace) },
	{ 0xb601be4c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rdx) },
	{ 0x30a793ac, __VMLINUX_SYMBOL_STR(mlx4_mr_alloc) },
	{ 0x618911fc, __VMLINUX_SYMBOL_STR(numa_node) },
	{ 0xeb6f020, __VMLINUX_SYMBOL_STR(netif_device_detach) },
	{ 0x42c8de35, __VMLINUX_SYMBOL_STR(ioremap_nocache) },
	{ 0xc9b171bb, __VMLINUX_SYMBOL_STR(mlx4_wol_write) },
	{ 0x66cb1397, __VMLINUX_SYMBOL_STR(get_phv_bit) },
	{ 0x2ce2d9a4, __VMLINUX_SYMBOL_STR(__napi_schedule) },
	{ 0x25c8fd8d, __VMLINUX_SYMBOL_STR(__mlx4_cmd) },
	{ 0xba63339c, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_bh) },
	{ 0xeeec26a7, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x258687c5, __VMLINUX_SYMBOL_STR(mlx4_flow_steer_promisc_remove) },
	{ 0xdef09a1b, __VMLINUX_SYMBOL_STR(mlx4_uar_free) },
	{ 0xa202a8e5, __VMLINUX_SYMBOL_STR(kmalloc_order_trace) },
	{ 0x92e0b69a, __VMLINUX_SYMBOL_STR(mlx4_bond) },
	{ 0x9d957d7a, __VMLINUX_SYMBOL_STR(mlx4_free_cmd_mailbox) },
	{ 0x6b2dc060, __VMLINUX_SYMBOL_STR(dump_stack) },
	{ 0x1b77f554, __VMLINUX_SYMBOL_STR(napi_complete_done) },
	{ 0xae913dd0, __VMLINUX_SYMBOL_STR(mlx4_unicast_attach) },
	{ 0x2ea2c95c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rax) },
	{ 0xbfdcb43a, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r11) },
	{ 0x2c9d59ab, __VMLINUX_SYMBOL_STR(mlx4_qp_to_ready) },
	{ 0x1aefd907, __VMLINUX_SYMBOL_STR(mlx4_bf_free) },
	{ 0x2046df85, __VMLINUX_SYMBOL_STR(mlx4_cq_alloc) },
	{ 0xf70c117b, __VMLINUX_SYMBOL_STR(mlx4_get_vf_config) },
	{ 0x3414ad9, __VMLINUX_SYMBOL_STR(netdev_features_change) },
	{ 0x467df16d, __VMLINUX_SYMBOL_STR(netdev_rss_key_fill) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0xb19a5453, __VMLINUX_SYMBOL_STR(__per_cpu_offset) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xa22f671b, __VMLINUX_SYMBOL_STR(mlx4_qp_release_range) },
	{ 0x3aabe824, __VMLINUX_SYMBOL_STR(mlx4_test_interrupt) },
	{ 0x68060908, __VMLINUX_SYMBOL_STR(mlx4_release_eq) },
	{ 0x3523e387, __VMLINUX_SYMBOL_STR(mlx4_get_base_qpn) },
	{ 0x42eae517, __VMLINUX_SYMBOL_STR(mlx4_unicast_promisc_add) },
	{ 0xcebd672f, __VMLINUX_SYMBOL_STR(eth_validate_addr) },
	{ 0xfb56b924, __VMLINUX_SYMBOL_STR(mlx4_ACCESS_PTYS_REG) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x7154809e, __VMLINUX_SYMBOL_STR(mlx4_wol_read) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x25921baa, __VMLINUX_SYMBOL_STR(ptp_clock_index) },
	{ 0xedc03953, __VMLINUX_SYMBOL_STR(iounmap) },
	{ 0x3bc28f0c, __VMLINUX_SYMBOL_STR(mlx4_set_vf_link_state) },
	{ 0x6158ec6c, __VMLINUX_SYMBOL_STR(mlx4_get_cpu_rmap) },
	{ 0xa966c0b, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_SCHEDULER) },
	{ 0xb352177e, __VMLINUX_SYMBOL_STR(find_first_bit) },
	{ 0x7d105dda, __VMLINUX_SYMBOL_STR(mlx4_multicast_promisc_remove) },
	{ 0x63c4d61f, __VMLINUX_SYMBOL_STR(__bitmap_weight) },
	{ 0xfe44b9e6, __VMLINUX_SYMBOL_STR(napi_get_frags) },
	{ 0x90bcbe6, __VMLINUX_SYMBOL_STR(unregister_netdev) },
	{ 0x7161e820, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_BEACON) },
	{ 0x4ef08f45, __VMLINUX_SYMBOL_STR(mlx4_register_mac) },
	{ 0x55f5019b, __VMLINUX_SYMBOL_STR(__kmalloc_node) },
	{ 0x73c2554f, __VMLINUX_SYMBOL_STR(__iowrite64_copy) },
	{ 0xbb9f8bc2, __VMLINUX_SYMBOL_STR(mlx4_unregister_vlan) },
	{ 0x2c98c528, __VMLINUX_SYMBOL_STR(mlx4_multicast_detach) },
	{ 0x87173d58, __VMLINUX_SYMBOL_STR(mlx4_pd_alloc) },
	{ 0xa42e55ab, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_general) },
	{ 0x5704de7d, __VMLINUX_SYMBOL_STR(mlx4_bf_alloc) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x9e0c711d, __VMLINUX_SYMBOL_STR(vzalloc_node) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0xe113bbbc, __VMLINUX_SYMBOL_STR(csum_partial) },
	{ 0x912ce78d, __VMLINUX_SYMBOL_STR(consume_skb) },
	{ 0x85670f1d, __VMLINUX_SYMBOL_STR(rtnl_is_locked) },
	{ 0xa7c9d774, __VMLINUX_SYMBOL_STR(mlx4_unregister_interface) },
	{ 0x436c2179, __VMLINUX_SYMBOL_STR(iowrite32) },
	{ 0x2783e3b3, __VMLINUX_SYMBOL_STR(mlx4_SET_PORT_VXLAN) },
	{ 0xcb50b16d, __VMLINUX_SYMBOL_STR(skb_tstamp_tx) },
	{ 0xf1012091, __VMLINUX_SYMBOL_STR(skb_put) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0x8a59508c, __VMLINUX_SYMBOL_STR(__skb_tx_hash) },
	{ 0x149c7752, __VMLINUX_SYMBOL_STR(param_ops_uint) },
	{ 0x2f1ce103, __VMLINUX_SYMBOL_STR(mlx4_set_vf_spoofchk) },
	{ 0x12c3fd61, __VMLINUX_SYMBOL_STR(mlx4_eq_get_irq) },
	{ 0xd023d541, __VMLINUX_SYMBOL_STR(mlx4_set_vf_mac) },
	{ 0x8637c397, __VMLINUX_SYMBOL_STR(mlx4_set_vf_vlan_next) },
	{ 0x6e720ff2, __VMLINUX_SYMBOL_STR(rtnl_unlock) },
	{ 0x959c2dc, __VMLINUX_SYMBOL_STR(dma_ops) },
	{ 0x9d333281, __VMLINUX_SYMBOL_STR(napi_gro_frags) },
	{ 0xef93cc97, __VMLINUX_SYMBOL_STR(mlx4_flow_attach) },
	{ 0x417d5b2f, __VMLINUX_SYMBOL_STR(mlx4_unregister_mac) },
	{ 0x14673746, __VMLINUX_SYMBOL_STR(mlx4_update_qp) },
	{ 0x3174bd79, __VMLINUX_SYMBOL_STR(bitmap_clear) },
	{ 0xb69f9992, __VMLINUX_SYMBOL_STR(mlx4_test_async) },
	{ 0xe914e41e, __VMLINUX_SYMBOL_STR(strcpy) },
	{ 0xde23ee17, __VMLINUX_SYMBOL_STR(mlx4_get_vf_rate) },
	{ 0xad585ca6, __VMLINUX_SYMBOL_STR(alloc_etherdev_mqs) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mlx4_core,mlx_compat,ptp,vxlan";


MODULE_INFO(srcversion, "B817D6B4F96BDE313BF7759");
