#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "mlx5_core.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x1a28d412, __VMLINUX_SYMBOL_STR(kobject_put) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0x3ce4ca6f, __VMLINUX_SYMBOL_STR(disable_irq) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0x1f2f59d4, __VMLINUX_SYMBOL_STR(kmem_cache_destroy) },
	{ 0x402b8281, __VMLINUX_SYMBOL_STR(__request_module) },
	{ 0x23e76388, __VMLINUX_SYMBOL_STR(device_remove_file) },
	{ 0x3f6c5dd8, __VMLINUX_SYMBOL_STR(netdev_info) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x65e75cb6, __VMLINUX_SYMBOL_STR(__list_del_entry) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x3a0cb934, __VMLINUX_SYMBOL_STR(ethtool_op_get_ts_info) },
	{ 0x3e3eb83d, __VMLINUX_SYMBOL_STR(backport_rhashtable_destroy) },
	{ 0xe4689576, __VMLINUX_SYMBOL_STR(ktime_get_with_offset) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0x99840d00, __VMLINUX_SYMBOL_STR(timecounter_init) },
	{ 0x3fcae1a8, __VMLINUX_SYMBOL_STR(dcb_ieee_setapp) },
	{ 0xb26a1add, __VMLINUX_SYMBOL_STR(elfcorehdr_addr) },
	{ 0x1ed8b599, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r8) },
	{ 0x2d878b69, __VMLINUX_SYMBOL_STR(up_read) },
	{ 0xa7b47df4, __VMLINUX_SYMBOL_STR(pci_enable_sriov) },
	{ 0x619cb7dd, __VMLINUX_SYMBOL_STR(simple_read_from_buffer) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0xfe76726, __VMLINUX_SYMBOL_STR(generic_file_llseek) },
	{ 0xb43a926b, __VMLINUX_SYMBOL_STR(backport_dependency_symbol) },
	{ 0x5c23d257, __VMLINUX_SYMBOL_STR(debugfs_create_dir) },
	{ 0x784213a6, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0x1e0c2be4, __VMLINUX_SYMBOL_STR(ioremap_wc) },
	{ 0x349cba85, __VMLINUX_SYMBOL_STR(strchr) },
	{ 0xbec366ad, __VMLINUX_SYMBOL_STR(debugfs_create_u8) },
	{ 0x7aa1756e, __VMLINUX_SYMBOL_STR(kvfree) },
	{ 0x91eb9b4, __VMLINUX_SYMBOL_STR(round_jiffies) },
	{ 0x99515d57, __VMLINUX_SYMBOL_STR(dcb_ieee_delapp) },
	{ 0xfc6d95d8, __VMLINUX_SYMBOL_STR(napi_disable) },
	{ 0x754d539c, __VMLINUX_SYMBOL_STR(strlen) },
	{ 0xaf669f2d, __VMLINUX_SYMBOL_STR(_raw_write_lock_irqsave) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x6d5b5f7c, __VMLINUX_SYMBOL_STR(seq_open) },
	{ 0xf9535f97, __VMLINUX_SYMBOL_STR(irq_to_desc) },
	{ 0xe7850466, __VMLINUX_SYMBOL_STR(napi_gro_flush) },
	{ 0x17795916, __VMLINUX_SYMBOL_STR(cpu_online_mask) },
	{ 0x1702e5e7, __VMLINUX_SYMBOL_STR(pid_vnr) },
	{ 0x79aa04a2, __VMLINUX_SYMBOL_STR(get_random_bytes) },
	{ 0x904e94af, __VMLINUX_SYMBOL_STR(dma_set_mask) },
	{ 0x3485b1ff, __VMLINUX_SYMBOL_STR(node_data) },
	{ 0x4c4f1833, __VMLINUX_SYMBOL_STR(boot_cpu_data) },
	{ 0x1d2d5f1a, __VMLINUX_SYMBOL_STR(pci_disable_device) },
	{ 0xc7a4fbed, __VMLINUX_SYMBOL_STR(rtnl_lock) },
	{ 0xcd77c414, __VMLINUX_SYMBOL_STR(pci_disable_msix) },
	{ 0x4ea25709, __VMLINUX_SYMBOL_STR(dql_reset) },
	{ 0x8b900f3b, __VMLINUX_SYMBOL_STR(_raw_read_lock) },
	{ 0xe9a7f26f, __VMLINUX_SYMBOL_STR(kobject_uevent) },
	{ 0x9b3c5704, __VMLINUX_SYMBOL_STR(netif_carrier_on) },
	{ 0x1637ff0f, __VMLINUX_SYMBOL_STR(_raw_spin_lock_bh) },
	{ 0x12faa80f, __VMLINUX_SYMBOL_STR(__srcu_read_unlock) },
	{ 0x3a5ea4bb, __VMLINUX_SYMBOL_STR(pci_disable_sriov) },
	{ 0xc0a3d105, __VMLINUX_SYMBOL_STR(find_next_bit) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0xee047a35, __VMLINUX_SYMBOL_STR(backport_rhashtable_insert_slow) },
	{ 0xdf566a59, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r9) },
	{ 0x2124474, __VMLINUX_SYMBOL_STR(ip_send_check) },
	{ 0x91831d70, __VMLINUX_SYMBOL_STR(seq_printf) },
	{ 0x716510e5, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0x88bfa7e, __VMLINUX_SYMBOL_STR(cancel_work_sync) },
	{ 0x24f3702a, __VMLINUX_SYMBOL_STR(pcie_capability_read_dword) },
	{ 0xc87c1f84, __VMLINUX_SYMBOL_STR(ktime_get) },
	{ 0x3b4f45d2, __VMLINUX_SYMBOL_STR(remove_proc_entry) },
	{ 0x44b1d426, __VMLINUX_SYMBOL_STR(__dynamic_pr_debug) },
	{ 0xefba93e1, __VMLINUX_SYMBOL_STR(mempool_destroy) },
	{ 0xc29957c3, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rcx) },
	{ 0x9f38887e, __VMLINUX_SYMBOL_STR(x86_dma_fallback_dev) },
	{ 0xe6234436, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0xc33a7685, __VMLINUX_SYMBOL_STR(pci_release_regions) },
	{ 0x60ee9172, __VMLINUX_SYMBOL_STR(param_ops_bool) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x797c8fa9, __VMLINUX_SYMBOL_STR(cancel_delayed_work_sync) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x21df74d9, __VMLINUX_SYMBOL_STR(bitmap_set) },
	{ 0x85df9b6c, __VMLINUX_SYMBOL_STR(strsep) },
	{ 0xb573114a, __VMLINUX_SYMBOL_STR(ida_simple_get) },
	{ 0x76612db5, __VMLINUX_SYMBOL_STR(rps_may_expire_flow) },
	{ 0xf0521521, __VMLINUX_SYMBOL_STR(debugfs_create_file) },
	{ 0x4629334c, __VMLINUX_SYMBOL_STR(__preempt_count) },
	{ 0xb5aa7165, __VMLINUX_SYMBOL_STR(dma_pool_destroy) },
	{ 0x7a2af7b4, __VMLINUX_SYMBOL_STR(cpu_number) },
	{ 0x1ac5d3cb, __VMLINUX_SYMBOL_STR(strcspn) },
	{ 0x552ce7eb, __VMLINUX_SYMBOL_STR(ipv6_find_hdr) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x7b789055, __VMLINUX_SYMBOL_STR(debugfs_remove_recursive) },
	{ 0xf4c91ed, __VMLINUX_SYMBOL_STR(ns_to_timespec) },
	{ 0x64d48908, __VMLINUX_SYMBOL_STR(seq_read) },
	{ 0xe685efbb, __VMLINUX_SYMBOL_STR(__alloc_pages_nodemask) },
	{ 0xb4696c63, __VMLINUX_SYMBOL_STR(sysfs_remove_group) },
	{ 0xc499ae1e, __VMLINUX_SYMBOL_STR(kstrdup) },
	{ 0xf5952e8, __VMLINUX_SYMBOL_STR(netif_napi_del) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0x8cac8c08, __VMLINUX_SYMBOL_STR(free_cpumask_var) },
	{ 0xc200cd95, __VMLINUX_SYMBOL_STR(mutex_trylock) },
	{ 0xf474fdcb, __VMLINUX_SYMBOL_STR(kfree_const) },
	{ 0xe2d5255a, __VMLINUX_SYMBOL_STR(strcmp) },
	{ 0xee5fc269, __VMLINUX_SYMBOL_STR(down_read) },
	{ 0x44d9ee68, __VMLINUX_SYMBOL_STR(kobject_create_and_add) },
	{ 0xe70c9ab0, __VMLINUX_SYMBOL_STR(_raw_write_unlock_irqrestore) },
	{ 0xf6fc8791, __VMLINUX_SYMBOL_STR(__bitmap_xor) },
	{ 0xbeaff396, __VMLINUX_SYMBOL_STR(simple_attr_read) },
	{ 0x40256835, __VMLINUX_SYMBOL_STR(complete_all) },
	{ 0x8f5c6a98, __VMLINUX_SYMBOL_STR(__netdev_alloc_skb) },
	{ 0xece784c2, __VMLINUX_SYMBOL_STR(rb_first) },
	{ 0x4af29a8b, __VMLINUX_SYMBOL_STR(__pskb_pull_tail) },
	{ 0x4747d3ee, __VMLINUX_SYMBOL_STR(ptp_clock_unregister) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0xc671e369, __VMLINUX_SYMBOL_STR(_copy_to_user) },
	{ 0x8da01b3d, __VMLINUX_SYMBOL_STR(PDE_DATA) },
	{ 0xfe7c4287, __VMLINUX_SYMBOL_STR(nr_cpu_ids) },
	{ 0xa4af8343, __VMLINUX_SYMBOL_STR(debugfs_create_u32) },
	{ 0x6d0aba34, __VMLINUX_SYMBOL_STR(wait_for_completion) },
	{ 0x62a79a6c, __VMLINUX_SYMBOL_STR(param_ops_charp) },
	{ 0x173c7d98, __VMLINUX_SYMBOL_STR(pci_set_master) },
	{ 0xffad377d, __VMLINUX_SYMBOL_STR(netif_schedule_queue) },
	{ 0x31bdf18e, __VMLINUX_SYMBOL_STR(ptp_clock_event) },
	{ 0xd5f2172f, __VMLINUX_SYMBOL_STR(del_timer_sync) },
	{ 0xfdb9b629, __VMLINUX_SYMBOL_STR(ioread32be) },
	{ 0x7e526bfa, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r10) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x5991219c, __VMLINUX_SYMBOL_STR(cancel_delayed_work) },
	{ 0x4e9ec3c4, __VMLINUX_SYMBOL_STR(proc_mkdir) },
	{ 0xf10de535, __VMLINUX_SYMBOL_STR(ioread8) },
	{ 0xb09a4ed5, __VMLINUX_SYMBOL_STR(netif_tx_wake_queue) },
	{ 0x10d35870, __VMLINUX_SYMBOL_STR(pci_restore_state) },
	{ 0x8b8fa4d2, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0x64127b67, __VMLINUX_SYMBOL_STR(bitmap_find_next_zero_area_off) },
	{ 0x511ab427, __VMLINUX_SYMBOL_STR(wait_for_completion_killable) },
	{ 0x2e2b40d2, __VMLINUX_SYMBOL_STR(strncat) },
	{ 0x37befc70, __VMLINUX_SYMBOL_STR(jiffies_to_msecs) },
	{ 0x940602e5, __VMLINUX_SYMBOL_STR(down_trylock) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x6e36c390, __VMLINUX_SYMBOL_STR(netif_set_xps_queue) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x7567599d, __VMLINUX_SYMBOL_STR(ethtool_op_get_link) },
	{ 0x20c55ae0, __VMLINUX_SYMBOL_STR(sscanf) },
	{ 0xe15f42bb, __VMLINUX_SYMBOL_STR(_raw_spin_trylock) },
	{ 0xd70e892b, __VMLINUX_SYMBOL_STR(backport_rhashtable_free_and_destroy) },
	{ 0x3c3fce39, __VMLINUX_SYMBOL_STR(__local_bh_enable_ip) },
	{ 0x8dbb7fd2, __VMLINUX_SYMBOL_STR(sysfs_create_group) },
	{ 0xdbe4cfeb, __VMLINUX_SYMBOL_STR(cleanup_srcu_struct) },
	{ 0x24365179, __VMLINUX_SYMBOL_STR(kobject_init_and_add) },
	{ 0xa00aca2a, __VMLINUX_SYMBOL_STR(dql_completed) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0xad039c54, __VMLINUX_SYMBOL_STR(mod_delayed_work_on) },
	{ 0xd0f6928c, __VMLINUX_SYMBOL_STR(backport_rhashtable_init) },
	{ 0x287e28c8, __VMLINUX_SYMBOL_STR(vxlan_get_rx_port) },
	{ 0xeef9bff6, __VMLINUX_SYMBOL_STR(ida_simple_remove) },
	{ 0x479c3c86, __VMLINUX_SYMBOL_STR(find_next_zero_bit) },
	{ 0x9dfa1a1, __VMLINUX_SYMBOL_STR(free_netdev) },
	{ 0x8706b912, __VMLINUX_SYMBOL_STR(debugfs_create_u64) },
	{ 0xe7b00dfb, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r13) },
	{ 0xfaef0ed, __VMLINUX_SYMBOL_STR(__tasklet_schedule) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0x4d9b652b, __VMLINUX_SYMBOL_STR(rb_erase) },
	{ 0x9166fada, __VMLINUX_SYMBOL_STR(strncpy) },
	{ 0x525c1ee, __VMLINUX_SYMBOL_STR(zalloc_cpumask_var) },
	{ 0x8fc57146, __VMLINUX_SYMBOL_STR(register_netdev) },
	{ 0x5a921311, __VMLINUX_SYMBOL_STR(strncmp) },
	{ 0x19c6d291, __VMLINUX_SYMBOL_STR(debugfs_remove) },
	{ 0x5792f848, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0x593c1bac, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rbx) },
	{ 0x3bde0d9d, __VMLINUX_SYMBOL_STR(kmem_cache_free) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x9816237c, __VMLINUX_SYMBOL_STR(pci_bus_write_config_dword) },
	{ 0x738f1b0f, __VMLINUX_SYMBOL_STR(skb_push) },
	{ 0x7b88712d, __VMLINUX_SYMBOL_STR(__pci_enable_wake) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0xa132354f, __VMLINUX_SYMBOL_STR(mlxfw_firmware_flash) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0x5c2a2b20, __VMLINUX_SYMBOL_STR(netdev_printk) },
	{ 0x1e6d26a8, __VMLINUX_SYMBOL_STR(strstr) },
	{ 0x4bb23565, __VMLINUX_SYMBOL_STR(dev_get_by_index) },
	{ 0x68aca4ad, __VMLINUX_SYMBOL_STR(down) },
	{ 0x5574f5ad, __VMLINUX_SYMBOL_STR(netif_set_real_num_rx_queues) },
	{ 0xa336417d, __VMLINUX_SYMBOL_STR(dev_remove_pack) },
	{ 0x9545af6d, __VMLINUX_SYMBOL_STR(tasklet_init) },
	{ 0x8834396c, __VMLINUX_SYMBOL_STR(mod_timer) },
	{ 0xcbf3699a, __VMLINUX_SYMBOL_STR(netif_set_real_num_tx_queues) },
	{ 0xdf433b61, __VMLINUX_SYMBOL_STR(netif_napi_add) },
	{ 0xce8b1878, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r14) },
	{ 0x2a37d074, __VMLINUX_SYMBOL_STR(dma_pool_free) },
	{ 0xbe2c0274, __VMLINUX_SYMBOL_STR(add_timer) },
	{ 0x22224b67, __VMLINUX_SYMBOL_STR(backport_rhltable_init) },
	{ 0x67916a34, __VMLINUX_SYMBOL_STR(__srcu_read_lock) },
	{ 0x223631c2, __VMLINUX_SYMBOL_STR(ptp_clock_register) },
	{ 0x76ffbdb8, __VMLINUX_SYMBOL_STR(simple_attr_release) },
	{ 0xd6b8e852, __VMLINUX_SYMBOL_STR(request_threaded_irq) },
	{ 0x373db350, __VMLINUX_SYMBOL_STR(kstrtoint) },
	{ 0xcca03002, __VMLINUX_SYMBOL_STR(cpu_bit_bitmap) },
	{ 0xd1521692, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0x84646812, __VMLINUX_SYMBOL_STR(simple_open) },
	{ 0x87025256, __VMLINUX_SYMBOL_STR(up_write) },
	{ 0x87c18a1f, __VMLINUX_SYMBOL_STR(down_write) },
	{ 0xd80838d9, __VMLINUX_SYMBOL_STR(init_srcu_struct) },
	{ 0x9b9e05f9, __VMLINUX_SYMBOL_STR(alloc_cpu_rmap) },
	{ 0xc8a91f5b, __VMLINUX_SYMBOL_STR(cpumask_local_spread) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0x43ddf61f, __VMLINUX_SYMBOL_STR(pci_clear_master) },
	{ 0x3c483012, __VMLINUX_SYMBOL_STR(radix_tree_delete) },
	{ 0x5409775b, __VMLINUX_SYMBOL_STR(free_irq_cpu_rmap) },
	{ 0xf11543ff, __VMLINUX_SYMBOL_STR(find_first_zero_bit) },
	{ 0xe523ad75, __VMLINUX_SYMBOL_STR(synchronize_irq) },
	{ 0xc542933a, __VMLINUX_SYMBOL_STR(timecounter_read) },
	{ 0x61651be, __VMLINUX_SYMBOL_STR(strcat) },
	{ 0xc1e50a3a, __VMLINUX_SYMBOL_STR(build_skb) },
	{ 0x9cf2288a, __VMLINUX_SYMBOL_STR(pci_find_capability) },
	{ 0x82072614, __VMLINUX_SYMBOL_STR(tasklet_kill) },
	{ 0x98a7eed8, __VMLINUX_SYMBOL_STR(device_create_file) },
	{ 0xa9531fa5, __VMLINUX_SYMBOL_STR(dev_notice) },
	{ 0x173ec0c5, __VMLINUX_SYMBOL_STR(lro_receive_skb) },
	{ 0xc5bc25de, __VMLINUX_SYMBOL_STR(kvmalloc_node) },
	{ 0x120fc6b1, __VMLINUX_SYMBOL_STR(kstrdup_const) },
	{ 0xc911b9d5, __VMLINUX_SYMBOL_STR(eth_get_headlen) },
	{ 0x70e85859, __VMLINUX_SYMBOL_STR(idr_is_empty) },
	{ 0x167c5967, __VMLINUX_SYMBOL_STR(print_hex_dump) },
	{ 0xa8b76a68, __VMLINUX_SYMBOL_STR(timecounter_cyc2time) },
	{ 0x7e67f432, __VMLINUX_SYMBOL_STR(netif_device_attach) },
	{ 0x71d64183, __VMLINUX_SYMBOL_STR(napi_gro_receive) },
	{ 0xf41c2c90, __VMLINUX_SYMBOL_STR(skb_vlan_pop) },
	{ 0x1039e0cc, __VMLINUX_SYMBOL_STR(_dev_info) },
	{ 0xe20372ae, __VMLINUX_SYMBOL_STR(radix_tree_gang_lookup) },
	{ 0xac3e93e3, __VMLINUX_SYMBOL_STR(kmem_cache_alloc) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0x45416a18, __VMLINUX_SYMBOL_STR(dev_queue_xmit_sk) },
	{ 0x1d2c09db, __VMLINUX_SYMBOL_STR(__free_pages) },
	{ 0xb601be4c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rdx) },
	{ 0x618911fc, __VMLINUX_SYMBOL_STR(numa_node) },
	{ 0x6acb973d, __VMLINUX_SYMBOL_STR(iowrite32be) },
	{ 0xe9dff136, __VMLINUX_SYMBOL_STR(mempool_alloc) },
	{ 0xeb6f020, __VMLINUX_SYMBOL_STR(netif_device_detach) },
	{ 0x42c8de35, __VMLINUX_SYMBOL_STR(ioremap_nocache) },
	{ 0xfad27005, __VMLINUX_SYMBOL_STR(pci_enable_msix_range) },
	{ 0x12a38747, __VMLINUX_SYMBOL_STR(usleep_range) },
	{ 0x2ce2d9a4, __VMLINUX_SYMBOL_STR(__napi_schedule) },
	{ 0x474403c0, __VMLINUX_SYMBOL_STR(pci_bus_read_config_dword) },
	{ 0x979a3fd1, __VMLINUX_SYMBOL_STR(sysfs_remove_file_ns) },
	{ 0x93fca811, __VMLINUX_SYMBOL_STR(__get_free_pages) },
	{ 0xba63339c, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_bh) },
	{ 0xeeec26a7, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0xa202a8e5, __VMLINUX_SYMBOL_STR(kmalloc_order_trace) },
	{ 0x79a38e61, __VMLINUX_SYMBOL_STR(___ratelimit) },
	{ 0xc940404f, __VMLINUX_SYMBOL_STR(kfree_skb) },
	{ 0x3f71faa1, __VMLINUX_SYMBOL_STR(mempool_create) },
	{ 0x43261dca, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0x5ac15bae, __VMLINUX_SYMBOL_STR(kstrtou16) },
	{ 0x9a99eae4, __VMLINUX_SYMBOL_STR(alloc_netdev_mqs) },
	{ 0x1b77f554, __VMLINUX_SYMBOL_STR(napi_complete_done) },
	{ 0x2ea2c95c, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_rax) },
	{ 0xd8a8925c, __VMLINUX_SYMBOL_STR(request_firmware_direct) },
	{ 0xe5d8be5d, __VMLINUX_SYMBOL_STR(lro_flush_all) },
	{ 0x1f62acbe, __VMLINUX_SYMBOL_STR(eth_type_trans) },
	{ 0x40129ffa, __VMLINUX_SYMBOL_STR(ptp_find_pin) },
	{ 0x6a037cf1, __VMLINUX_SYMBOL_STR(mempool_kfree) },
	{ 0x7f24de73, __VMLINUX_SYMBOL_STR(jiffies_to_usecs) },
	{ 0x771cf835, __VMLINUX_SYMBOL_STR(dma_pool_alloc) },
	{ 0xec668884, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0x467df16d, __VMLINUX_SYMBOL_STR(netdev_rss_key_fill) },
	{ 0xdc9fa232, __VMLINUX_SYMBOL_STR(raw_notifier_chain_register) },
	{ 0x1e98219, __VMLINUX_SYMBOL_STR(pci_unregister_driver) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x4aad52d7, __VMLINUX_SYMBOL_STR(mempool_free) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0xd9cf618b, __VMLINUX_SYMBOL_STR(__dynamic_dev_dbg) },
	{ 0xb19a5453, __VMLINUX_SYMBOL_STR(__per_cpu_offset) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xa5526619, __VMLINUX_SYMBOL_STR(rb_insert_color) },
	{ 0xaafe1236, __VMLINUX_SYMBOL_STR(kmem_cache_create) },
	{ 0x4302d0eb, __VMLINUX_SYMBOL_STR(free_pages) },
	{ 0x7687432, __VMLINUX_SYMBOL_STR(synchronize_srcu) },
	{ 0x3133f816, __VMLINUX_SYMBOL_STR(pci_set_power_state) },
	{ 0x2dc669cd, __VMLINUX_SYMBOL_STR(netdev_warn) },
	{ 0x36dd925f, __VMLINUX_SYMBOL_STR(proc_create_data) },
	{ 0x39b52d19, __VMLINUX_SYMBOL_STR(__bitmap_and) },
	{ 0x8c637d43, __VMLINUX_SYMBOL_STR(irq_cpu_rmap_add) },
	{ 0xa05c03df, __VMLINUX_SYMBOL_STR(mempool_kmalloc) },
	{ 0x1e047854, __VMLINUX_SYMBOL_STR(warn_slowpath_fmt) },
	{ 0xf426c6c9, __VMLINUX_SYMBOL_STR(seq_lseek) },
	{ 0xfcec0987, __VMLINUX_SYMBOL_STR(enable_irq) },
	{ 0xbabb68fd, __VMLINUX_SYMBOL_STR(pci_sriov_get_totalvfs) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xa46f2f1b, __VMLINUX_SYMBOL_STR(kstrtouint) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x238431c0, __VMLINUX_SYMBOL_STR(pci_request_regions) },
	{ 0x25921baa, __VMLINUX_SYMBOL_STR(ptp_clock_index) },
	{ 0xb13eaea0, __VMLINUX_SYMBOL_STR(dma_supported) },
	{ 0xc12ee11b, __VMLINUX_SYMBOL_STR(skb_add_rx_frag) },
	{ 0x9acae952, __VMLINUX_SYMBOL_STR(pci_num_vf) },
	{ 0x3604d154, __VMLINUX_SYMBOL_STR(ida_pre_get) },
	{ 0x6128b5fc, __VMLINUX_SYMBOL_STR(__printk_ratelimit) },
	{ 0xedc03953, __VMLINUX_SYMBOL_STR(iounmap) },
	{ 0xf065f629, __VMLINUX_SYMBOL_STR(ioread16be) },
	{ 0xd3719d59, __VMLINUX_SYMBOL_STR(paravirt_ticketlocks_enabled) },
	{ 0x71e3cecb, __VMLINUX_SYMBOL_STR(up) },
	{ 0x194bac91, __VMLINUX_SYMBOL_STR(__pci_register_driver) },
	{ 0xf05c7b8, __VMLINUX_SYMBOL_STR(__x86_indirect_thunk_r15) },
	{ 0xa2a1eb73, __VMLINUX_SYMBOL_STR(put_page) },
	{ 0x4ca9669f, __VMLINUX_SYMBOL_STR(scnprintf) },
	{ 0x74c134b9, __VMLINUX_SYMBOL_STR(__sw_hweight32) },
	{ 0xb352177e, __VMLINUX_SYMBOL_STR(find_first_bit) },
	{ 0x1b853b92, __VMLINUX_SYMBOL_STR(debugfs_create_u16) },
	{ 0x844e3767, __VMLINUX_SYMBOL_STR(radix_tree_lookup) },
	{ 0x63c4d61f, __VMLINUX_SYMBOL_STR(__bitmap_weight) },
	{ 0xca9360b5, __VMLINUX_SYMBOL_STR(rb_next) },
	{ 0x790e2485, __VMLINUX_SYMBOL_STR(debugfs_create_symlink) },
	{ 0xe5d8cceb, __VMLINUX_SYMBOL_STR(dev_warn) },
	{ 0x845a92c4, __VMLINUX_SYMBOL_STR(sysfs_add_file_to_group) },
	{ 0x90bcbe6, __VMLINUX_SYMBOL_STR(unregister_netdev) },
	{ 0x222e7ce2, __VMLINUX_SYMBOL_STR(sysfs_streq) },
	{ 0x9bc6e78d, __VMLINUX_SYMBOL_STR(udp4_hwcsum) },
	{ 0x9291cd3b, __VMLINUX_SYMBOL_STR(memdup_user) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0x16ba03a3, __VMLINUX_SYMBOL_STR(dev_add_pack) },
	{ 0xc0bc6cad, __VMLINUX_SYMBOL_STR(seq_release) },
	{ 0xe113bbbc, __VMLINUX_SYMBOL_STR(csum_partial) },
	{ 0x912ce78d, __VMLINUX_SYMBOL_STR(consume_skb) },
	{ 0x2f0e58ee, __VMLINUX_SYMBOL_STR(netdev_update_features) },
	{ 0x52a0e6e1, __VMLINUX_SYMBOL_STR(ida_init) },
	{ 0xbaacbc79, __VMLINUX_SYMBOL_STR(__napi_alloc_skb) },
	{ 0x377a8906, __VMLINUX_SYMBOL_STR(sysfs_create_file_ns) },
	{ 0xcb50b16d, __VMLINUX_SYMBOL_STR(skb_tstamp_tx) },
	{ 0xf1012091, __VMLINUX_SYMBOL_STR(skb_put) },
	{ 0x59e2ce9f, __VMLINUX_SYMBOL_STR(pci_enable_device) },
	{ 0x53f6ffbc, __VMLINUX_SYMBOL_STR(wait_for_completion_timeout) },
	{ 0x263074f8, __VMLINUX_SYMBOL_STR(irq_set_affinity_hint) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0x614bb773, __VMLINUX_SYMBOL_STR(radix_tree_insert) },
	{ 0xa851973a, __VMLINUX_SYMBOL_STR(raw_notifier_call_chain) },
	{ 0x149c7752, __VMLINUX_SYMBOL_STR(param_ops_uint) },
	{ 0x556e61a4, __VMLINUX_SYMBOL_STR(dma_pool_create) },
	{ 0xc03ee0f3, __VMLINUX_SYMBOL_STR(ida_destroy) },
	{ 0x5b540e9b, __VMLINUX_SYMBOL_STR(simple_attr_open) },
	{ 0x2443a2a4, __VMLINUX_SYMBOL_STR(release_firmware) },
	{ 0x942cd0de, __VMLINUX_SYMBOL_STR(__init_rwsem) },
	{ 0x6e720ff2, __VMLINUX_SYMBOL_STR(rtnl_unlock) },
	{ 0x959c2dc, __VMLINUX_SYMBOL_STR(dma_ops) },
	{ 0x170e6ed7, __VMLINUX_SYMBOL_STR(pcie_get_minimum_link) },
	{ 0x9a3d24c7, __VMLINUX_SYMBOL_STR(simple_attr_write) },
	{ 0xf20dabd8, __VMLINUX_SYMBOL_STR(free_irq) },
	{ 0x3174bd79, __VMLINUX_SYMBOL_STR(bitmap_clear) },
	{ 0x65185c9d, __VMLINUX_SYMBOL_STR(pci_save_state) },
	{ 0xe914e41e, __VMLINUX_SYMBOL_STR(strcpy) },
	{ 0xad585ca6, __VMLINUX_SYMBOL_STR(alloc_etherdev_mqs) },
	{ 0xd06524ba, __VMLINUX_SYMBOL_STR(raw_notifier_chain_unregister) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mlx_compat,ptp,vxlan,mlxfw";

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "33A9E48F4131C54BDEBE36F");
